<script src="<?php echo plugins_url('../js/lbg_playlistelements_page.js', __FILE__); ?>" type="text/javascript"></script>

<script>
jQuery(document).ready(function() {

		jQuery('[id^="video_player_youtube_vimeoTable"]').css({
			'display':'none'
		});

		jQuery( "#dialogDataSaved" ).dialog({
		  width:210,
		  height: 120,
		  modal: true,
		  autoOpen:<?php echo (array_key_exists('Submit', $_POST) && $_POST['Submit'] == 'Save All Changes')?'true':'false';?>,
		  hide: "fade",
		  resizable: false,
		  open: function(event, ui) {
    			setTimeout(function(){
       				 jQuery('#dialogDataSaved').dialog('close');
    			}, 1000);
			}
    	});

		jQuery( "#dialogEditCSSClasses" ).dialog({
		  width:820,
		  height:590,
		  modal: true,
		  autoOpen:false,
		  hide: "fade",
		  resizable: true,
		  buttons: {
       		 "Update": function() {
          		video_player_youtube_vimeo_edit_css_classes('update_css',jQuery('textarea#css_classes').val(),<?php echo esc_js($row['id'])?>);
        	 },
       		 "Restore Original": function() {
          		video_player_youtube_vimeo_edit_css_classes('restore_css','',<?php echo esc_js($row['id'])?>);
        	 },
        	 Cancel: function() {
	          jQuery( this ).dialog( "close" );
        	 }
      	  },
		  close: function() {
		  }
    	});


});



</script>


<div class="wrap">
	<div id="lbg_logo">
			<h2><?php esc_html_e('Manage elemens over main image for', 'ytbvimeo-video' );?> <span class="lbg_the_redb"><?php esc_html_e('Slide No.', 'ytbvimeo-video' );?> <?php esc_html_e($row['ord'])?></span>. <?php esc_html_e('The slider name is:', 'ytbvimeo-video' );?> <span class="lbg_the_redb"><?php esc_html_e($_SESSION['xname'])?> - <?php esc_html_e('ID', 'ytbvimeo-video' );?> #<?php esc_html_e($_SESSION['xid'])?></span></h2>
 	</div>
  <div id="video_player_youtube_vimeo_updating_witness"><img src="<?php echo plugins_url('images/ajax-loader.gif', dirname(__FILE__))?>" /> <?php esc_html_e('Updating...', 'ytbvimeo-video' );?></div>
  <div id="dialogDataSaved">
  	<p class="data_saved"><?php esc_html_e('Data Saved', 'ytbvimeo-video' );?></p>
  </div>

  <div id="previewDialog"><iframe id="previewDialogIframe" src="" width="100%" height="600" class="lbg_b0"></iframe></div>

  <div id="dialogEditCSSClasses" title="Edit CSS Classes">
  <form>
  	<textarea name="css_classes" id="css_classes" cols="80" rows="20"><?php echo stripslashes($row_css['css_styles']);?></textarea>
  </form>
  <div id="editCSSClasses_message"></div>
</div>

<div class="bringElemToFront">
<div class="lbg_magnifier"><img src="<?php echo plugins_url('images/icons/back_icon.gif', dirname(__FILE__))?>" alt="back" align="absmiddle" /> <a href="?page=YOUTUBE_VIMEO_VIDEO_PLAYER_Playlist&amp;id=<?php echo esc_attr($row['id'])?>"><?php esc_html_e('Back to Playlist', 'ytbvimeo-video' );?></a></div>


<table cellpadding="0" cellspacing="0">
	<tr>
    	<td><input name="addtextlayer" id="addtextlayer" type="button" class="button-primary" value="Add Text Layer" onclick="video_player_youtube_vimeo_add_text_line(<?php echo esc_js($row['id'])?>,'')"></td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td><input name="deletelayer" id="deletelayer" type="button" class="button-primary" value="Delete Layer" onclick="video_player_youtube_vimeo_delete_text_line(jQuery('input[name=currentTextID]').val())" disabled="disabled" ></td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td><a href="?page=YOUTUBE_VIMEO_VIDEO_PLAYER_Edit_Elements&playlistID=<?php echo esc_attr($row['id'])?>&deletealllayers=<?php echo esc_attr($row['id'])?>" onclick="return confirm('Are you sure?')"><input name="deletealllayers" id="deletealllayers" type="button" class="button-primary" value="Delete All Layers"></a></td>
		<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td><input name="duplicatelayer" id="duplicatelayer" type="button" class="button-secondary" disabled="disabled" value="Duplicate Layer" onclick="video_player_youtube_vimeo_duplicate('duplicate layer',jQuery('input[name=currentTextID]').val())"></td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td><input name="previewslider" id="previewslider" type="button" class="button-secondary" value="Preview Slider" onclick="showDialogPreview(<?php echo esc_attr($_SESSION['xid'])?>)"></td>
    </tr>
	<tr>
	  <td>&nbsp;</td>
	  <td>&nbsp;</td>
	  <td>&nbsp;</td>
	  <td>&nbsp;</td>
	  <td>&nbsp;</td>
	  <td>&nbsp;</td>
	  <td>&nbsp;</td>
   	  <td>&nbsp;</td>
	  <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
</table>
</div>
<div id="photo_div<?php echo esc_attr($row['id'])?>" style="width:<?php echo ($row_settings['width']-$row_settings['playlistWidth']-2*$row_settings['borderWidth']);?>px; height:<?php echo ($row_settings['height']-2*$row_settings['borderWidth']);?>px; border:2px dotted #000; margin-left:-2px;margin-top:-2px; position:relative;"><img src="<?php echo esc_attr($row['img'])?>"  onclick="deactivate_all_layers()" />

<?php foreach ( $result_text as $row_text ) {
	if ($row_text['img_src']=='') {
		$draggable_aux=stripslashes($row_text['content']);
	} else {
		$draggable_aux='<img src="'.$row_text['img_src'].'">';
	}
	?>
		<div id="draggable<?php echo esc_attr($row_text['id']);?>" rel="<?php echo esc_attr($row_text['id']);?>" class="my_draggable <?php echo esc_attr($row_text['css']);?>" style="left:<?php echo esc_attr($row_text['data-final-left']);?>px;top:<?php echo esc_attr($row_text['data-final-top']);?>px;z-index:<?php echo 100-$row_text['ord'];?>;" onclick="activate_layer(<?php echo esc_js($row_text['id']);?>);"><?php echo stripslashes($draggable_aux)?></div>

<script>
		jQuery("#draggable<?php echo esc_js($row_text['id'])?>").draggable( {
			drag: function(event, ui) {
				jQuery("#data-final-left<?php echo esc_js($row_text['id'])?>").val(video_player_youtube_vimeo_process_val(jQuery(this).css('left'),'left'));
				jQuery("#data-final-top<?php echo esc_js($row_text['id'])?>").val(video_player_youtube_vimeo_process_val(jQuery(this).css('top'),'top'));
			}
		});

</script>

    <?php } ?>

</div>
   <p>&nbsp;</p>
<div class="bringElemToFront">
 <form method="POST" enctype="multipart/form-data" id="form-elements-video_player_youtube_vimeo" name="form-elements-video_player_youtube_vimeo">
<input name="currentTextID" id="currentTextID" type="hidden" />
<table width="100%" border="0" cellpadding="10" cellspacing="10" class="widefat">
			<thead>
				<tr>
					<th align="center" valign="middle" scope="col" class="lbg_br1"><?php esc_html_e('Layer Settings', 'ytbvimeo-video' );?> <i><?php esc_html_e('(Click on a layer to activate its settings)', 'ytbvimeo-video' );?></i></th>
                    <th align="center" valign="middle" scope="col"><?php esc_html_e('Layers Order', 'ytbvimeo-video' );?> <i><?php esc_html_e('(drag the items to reposition them)', 'ytbvimeo-video' );?></i></th>
				</tr>
			</thead>
  <tbody>
  <tr>
    <td width="50%" class="lbg_br1" id="all_texts_settings">
    <?php if (!$wpdb->num_rows)
			echo '<div id="no_layers">No layers defined, yet.</div>';
	?>

    <?php
		$search_array=array('\"',"\'");
		$replace_array=array('"',"'");
		foreach ( $result_text as $row_text ) { ?>
    	<div id="video_player_youtube_vimeoTable<?php echo esc_attr($row_text['id']);?>">

		<table width="100%" cellspacing="0" class="widefat">
		  <tr>
		    <td width="15%" align="left" valign="middle" class="row-title"><?php echo ($row_text['img_src']!='')?'Image Title':'HTML Content'?></td>
		    <td colspan="3" align="left" valign="middle"><textarea name="content<?php echo esc_attr($row_text['id']);?>" cols="80" rows="5" id="content<?php echo esc_attr($row_text['id']);?>" onkeyup="change_text_div_content(<?php echo esc_js($row_text['id']);?>,this);"><?php echo str_replace($search_array,$replace_array,$row_text['content']);?></textarea></td>
		  </tr>
		  <tr>
		    <td align="left" valign="middle" class="row-title">&nbsp;</td>
		    <td colspan="3" align="left" valign="middle">&nbsp;</td>
		  </tr>
		  <tr>
		    <td align="left" valign="middle" class="row-title"><?php esc_html_e('CSS Style', 'ytbvimeo-video' );?></td>
		    <td colspan="3" align="left" valign="middle"><div id="video_player_youtube_vimeoCSS_div<?php echo esc_attr($row_text['id']);?>"><?php video_player_youtube_vimeo_getCssStyles($row_text['css'],$row_text['id'],'');?></div> <input name="EditCssClasses<?php echo esc_attr($row_text['id']);?>" id="EditCssClasses<?php echo esc_attr($row_text['id']);?>" type="button" class="button-primary lbg_floatr_top_25px" value="Edit CSS Clases" onclick="video_player_youtube_vimeo_edit_css_classes('open','',<?php echo esc_js($row['id'])?>)"></td>
		    </tr>
		  <tr>
		    <td colspan="4" align="left" valign="middle" class="lbg_regGrayWithBg"><?php esc_html_e('Animation Values', 'ytbvimeo-video' );?></td>
		    </tr>
		  <tr>
		    <td align="left" valign="middle" class="row-title"><?php esc_html_e('Initial Left', 'ytbvimeo-video' );?></td>
		    <td width="35%" align="left" valign="middle"><input name="data-initial-left<?php echo esc_attr($row_text['id']);?>" type="text" id="data-initial-left<?php echo esc_attr($row_text['id']);?>" size="10" value="<?php echo esc_attr($row_text['data-initial-left']);?>" /> px</td>
		    <td width="15%" align="left" valign="middle" class="row-title"><?php esc_html_e('Inital Top', 'ytbvimeo-video' );?></td>
		    <td width="35%" align="left" valign="middle"><input name="data-initial-top<?php echo esc_attr($row_text['id']);?>" type="text" id="data-initial-top<?php echo esc_attr($row_text['id']);?>" size="10" value="<?php echo esc_attr($row_text['data-initial-top']);?>" /> px</td>
		  </tr>
		  <tr>
		    <td align="left" valign="middle" class="row-title"><?php esc_html_e('Final Left', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="data-final-left<?php echo esc_attr($row_text['id']);?>" type="text" id="data-final-left<?php echo esc_attr($row_text['id']);?>" size="10" value="<?php echo esc_attr($row_text['data-final-left']);?>" /> px</td>
		    <td align="left" valign="middle" class="row-title"><?php esc_html_e('Final Top', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="data-final-top<?php echo esc_attr($row_text['id']);?>" type="text" id="data-final-top<?php echo esc_attr($row_text['id']);?>" size="10" value="<?php echo esc_attr($row_text['data-final-top']);?>" /> px</td>
		  </tr>
		  <tr>
		    <td align="left" valign="middle" class="row-title"><?php esc_html_e('Duration', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="data-duration<?php echo esc_attr($row_text['id']);?>" type="text" id="data-duration<?php echo esc_attr($row_text['id']);?>" size="10" value="<?php echo esc_attr($row_text['data-duration']);?>" /> <?php esc_html_e('seconds', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle" class="row-title"><?php esc_html_e('Delay', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="data-delay<?php echo esc_attr($row_text['id']);?>" type="text" id="data-delay<?php echo esc_attr($row_text['id']);?>" size="10" value="<?php echo esc_attr($row_text['data-delay']);?>" /> <?php esc_html_e('seconds', 'ytbvimeo-video' );?></td>
		    </tr>
		  <tr>
		    <td align="left" valign="middle" class="row-title"><?php esc_html_e('Initial Fade', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="data-fade-start<?php echo esc_attr($row_text['id']);?>" type="text" id="data-fade-start<?php echo esc_attr($row_text['id']);?>" size="10" value="<?php echo esc_attr($row_text['data-fade-start']);?>" /> (0-100)</td>
		    <td align="left" valign="middle" class="row-title">&nbsp;</td>
		    <td align="left" valign="middle">&nbsp;</td>
		    </tr>
		  <tr>
		    <td align="left" valign="middle">&nbsp;</td>
		    <td align="left" valign="middle">&nbsp;</td>
		    <td align="left" valign="middle">&nbsp;</td>
		    <td align="left" valign="middle">&nbsp;</td>
		    </tr>
		  <tr>
		    <td align="left" valign="middle">&nbsp;</td>
		    <td align="left" valign="middle">&nbsp;</td>
		    <td align="left" valign="middle">&nbsp;</td>
		    <td align="left" valign="middle">&nbsp;</td>
		    </tr>

		</table>
       </div>

       <?php } ?>

        </td>
    <td width="50%" align="left" valign="top">
    	<ul id="video_player_youtube_vimeo_layers_sortable">
        <?php foreach ( $result_text as $row_text ) { ?>
        	<li class="ui-state-default cursor_move" id="<?php echo esc_attr($row_text['id']);?>" data-photoid="<?php echo esc_attr($row['id']);?>" onclick="activate_layer(<?php echo esc_js($row_text['id']);?>);"><div id="li_div<?php echo esc_attr($row_text['id']);?>"><?php echo esc_js(substr($row_text['content'],0,50)).((esc_js(strlen($row_text['content'])>50))?'...':'');?></div> <input name="ord_input_<?php echo esc_attr($row_text['id'])?>" type="text" disabled="disabled" id="ord_input_<?php echo esc_attr($row_text['id'])?>" class="lbg_floatr_top_20px" value="<?php echo esc_attr($row_text['ord'])?>" size="3" readonly="readonly" /></li>
        <?php } ?>
        </ul>
    </td>
  </tr>
  <tr>
    <td colspan="2" align="center">&nbsp;</td>
    </tr>
    <tr>
    <td colspan="2" align="center"><input name="Submit" id="Submit" type="submit" class="button-primary" value="Save All Changes"></td>
    </tr>
    <tr>
    <td colspan="2" align="center">&nbsp;</td>
    </tr>
    <tr>
    <td colspan="2" align="center">&nbsp;</td>
    </tr>
    <tr>
    <td colspan="2" align="center">&nbsp;</td>
    </tr>
    </tbody>
</table>
</form>
</div>

<div class="lbg_cent_p100"><img src="<?php echo plugins_url('images/icons/back_icon.gif', dirname(__FILE__))?>" alt="back" align="absmiddle" /> <a href="?page=YOUTUBE_VIMEO_VIDEO_PLAYER_Playlist&amp;id=<?php echo esc_attr($row['id'])?>"><?php esc_html_e('Back to Playlist', 'ytbvimeo-video' );?></a></div>




</div>
