<div class="wrap">
<div id="lbg_logo">
			<h2><?php esc_html_e('Help', 'ytbvimeo-video' );?></h2>
  </div>
<p><?php esc_html_e('This plugin requires at least WordPress 3.0', 'ytbvimeo-video' );?></p>
<ul class="lbg_list-1">
  <li><a href="#videotutorials"><?php esc_html_e('Video Tutorials', 'ytbvimeo-video' );?></a></li>
  <li><a href="#instalation"><?php esc_html_e('Plugin Instalation', 'ytbvimeo-video' );?></a></li>
  <li><a href="#managebanners"><?php esc_html_e('Manage Players', 'ytbvimeo-video' );?></a></li>
  <li><a href="#settings"><?php esc_html_e('Player Settings', 'ytbvimeo-video' );?></a></li>
  <li><a href="#playlist"><?php esc_html_e('Playlist', 'ytbvimeo-video' );?></a></li>
  <li><a href="#shortcode">S<?php esc_html_e('hortCode', 'ytbvimeo-video' );?></a></li>
</ul>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p><span class="lbg_subtitle"><a name="videotutorials" id="videotutorials"></a><?php esc_html_e('1. Video Tutorials', 'ytbvimeo-video' );?></span></p>
<p><?php esc_html_e('Installation', 'ytbvimeo-video' );?> - <a href="https://www.youtube.com/watch?v=Za9fhLpCMd8" target="_blank">https://www.youtube.com/watch?v=Za9fhLpCMd8</a><a href="http://www.youtube.com/watch?v=sp7TvIDlnVs" target="_blank"></a><br />
  <?php esc_html_e('How To Create a Video Player', 'ytbvimeo-video' );?>- <a href="https://www.youtube.com/watch?v=sBc9N8rDcGs" target="_blank">https://www.youtube.com/watch?v=sBc9N8rDcGs</a><a href="http://www.youtube.com/watch?v=vXOkiXm4vYo" target="_blank"></a><br />
  <?php esc_html_e('How To Create an Image Slider and How To Add Text Layers', 'ytbvimeo-video' );?> - <a href="https://www.youtube.com/watch?v=zuHRTLNesX8" target="_blank">https://www.youtube.com/watch?v=zuHRTLNesX8</a><br />
</p>
<p class="lbg_subtitle"><a name="instalation" id="instalation"></a><?php esc_html_e('2. Plugin Instalation', 'ytbvimeo-video' );?> </p>
<p><?php esc_html_e('Step 1. Enter in your wordpress CMS and go to Plugins menu', 'ytbvimeo-video' );?> <br />
<?php esc_html_e('Step 2. Under Plugins menu click &quot;Add New&quot;', 'ytbvimeo-video' );?> <br />
<?php esc_html_e('Step 3. Select &quot;Upload&quot;, choose the archive video_player_youtube_vimeo.zip that you downloaded and hit &quot;Install Now&quot;', 'ytbvimeo-video' );?> <br />
<?php esc_html_e('Step 4. After the plugin is installed click &quot;Activate Plugin&quot;', 'ytbvimeo-video' );?> <br />
<?php esc_html_e('Step 5. In you page just add the shortcode:', 'ytbvimeo-video' );?>  [video_player_youtube_vimeo settings_id='1']<br />
<a href="#shortcode"><?php esc_html_e('click here', 'ytbvimeo-video' );?> </a> <?php esc_html_e('for more details regarding the shortcode', 'ytbvimeo-video' );?> </p>
<p>&nbsp;</p>
<p><span class="lbg_subtitle"><a name="managebanners" id="playlist2"></a><?php esc_html_e('3. Manage Players/Sliders', 'ytbvimeo-video' );?></span></p>
<p><?php esc_html_e('From this section you can define the players/slliders.', 'ytbvimeo-video' );?> <br />
  <?php esc_html_e('If you need to include multiple players in your pages with different settings   and playlist you can define the players and manage the settings for each one.', 'ytbvimeo-video' );?><br />
<?php esc_html_e('If you need only one player in your website, just edit the default one.', 'ytbvimeo-video' );?></p>
<p>&nbsp;</p>
<p class="lbg_subtitle"><a name="settings" id="settings"></a><?php esc_html_e('4. Player Settings', 'ytbvimeo-video' );?></p>
<p><?php esc_html_e('From this section you can define the video player/slider  settings.', 'ytbvimeo-video' );?></p>
<table class="wp-list-table widefat fixed pages" cellspacing="0">
  <tr>
    <td width="30%" align="left" valign="top" class="row-title"></td>
    <td width="70%" align="left" valign="top"></td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray"><?php esc_html_e('General Settings', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Player Width', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('plugin width', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Player Height', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('plugin height', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Width 100%', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('the plugin width will be 100%', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('the plugin width will be what you have set for the "width" parameter', 'ytbvimeo-video' );?></td>
  </tr>
	<tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Center Plugin', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('the player will be centered on the page', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('the player will be centered on the page', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Responsive<br />', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('the plugin will responsive', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('the plugin will not be responsive', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Responsive Relative To Browser', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('the plugin will be responisve relatively to browser dimensions', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('the plugin will be responisve relatively to parent div', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Automatically Obtain Thumb, Title &amp; Description From YouTube Server', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('the plugin will obtain the movie thumb,   movie title and movie description from YouTube server IF in playlist   code these data is missing', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('the plugin will use the movie thumb, movie title and movie description defined in playlist code', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Loop', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('the plugin will loop when reaches the end', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('the plugin will stop when reaches the end', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Randomize Playlist', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('it will navigate the videos in a random manner', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('it will navigate the videos as they are defined', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('First Video To Be Loaded', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Define which video will be the first one to load. The counting starts from 0', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Initial Volume', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('the initial volume value. It takes values between 0-1', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Number Of Stripes', 'ytbvimeo-video' );?> <span class="regGray"><?php esc_html_e('(only for images)', 'ytbvimeo-video' );?></span></td>
    <td align="left" valign="top"><?php esc_html_e('The number of vertical stripes', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Number Of Rows', 'ytbvimeo-video' );?> <span class="regGray"><?php esc_html_e('(only for images)', 'ytbvimeo-video' );?></span></td>
    <td align="left" valign="top"><?php esc_html_e('This paramenter is used for transitions/effects which use blocks -   defines the number of rows. You can consider the blocks are arranged in a   table', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Number Of Columns', 'ytbvimeo-video' );?> <span class="regGray"><?php esc_html_e('(only for images)', 'ytbvimeo-video' );?></span></td>
    <td align="left" valign="top"><?php esc_html_e('This paramenter is used for transitions/effects which use blocks -   defines the number of colums. You can consider the blocks are arranged   in a table.', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Default Effect', 'ytbvimeo-video' );?> <span class="regGray"><?php esc_html_e('(only for images)', 'ytbvimeo-video' );?></span></td>
    <td align="left" valign="top"><?php esc_html_e('You can define a general transition effect for all images.', 'ytbvimeo-video' );?>
      <p><?php esc_html_e('The available options are:', 'ytbvimeo-video' );?></p>
      <ul>
        <li> fade</li>
        <li>slideFromLeft</li>
        <li>slideFromRight</li>
        <li>slideFromTop</li>
        <li>slideFromBottom</li>
        <li>topBottomDroppingStripes</li>
        <li>topBottomDroppingReverseStripes</li>
        <li>bottomTopDroppingStripes</li>
        <li>bottomTopDroppingReverseStripes</li>
        <li>asynchronousDroppingStripes</li>
        <li>leftRightFadingStripes</li>
        <li>leftRightFadingReverseStripes</li>
        <li>topBottomDiagonalBlocks</li>
        <li>topBottomDiagonalReverseBlocks</li>
        <li>randomBlocks</li>
        <li>random</li>
      </ul></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Effect Duration', 'ytbvimeo-video' );?> <span class="regGray"><?php esc_html_e('(in seconds - only for images)', 'ytbvimeo-video' );?></span></td>
    <td align="left" valign="top"><?php esc_html_e('The effect duration (in seconds)', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Auto-Play First Video', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('the first video  will autoplay', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('the first video will not autoplay', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Auto Play', 'ytbvimeo-video' );?> <span class="regGray"><?php esc_html_e('(in seconds - only for images)', 'ytbvimeo-video' );?></span></td>
    <td align="left" valign="top"><?php esc_html_e('You can define the time (in seconds) until the next photo will play. If you set it 0 the plugin will not autoplay', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Auto-Play First Video', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('the first video (if exists) will autoplay', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('the first video (if exists) will not autoplay', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Auto-Play Next Video', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('the next video in the playlist (if exists) will autoplay', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('the next video in the playlist  (if exists) will not autoplay', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Target Window For Link', 'ytbvimeo-video' );?> <span class="regGray"><?php esc_html_e('(only for images)', 'ytbvimeo-video' );?></span></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>'_blank'</strong> - <?php esc_html_e('the link associated to the primary photo will open in a new window', 'ytbvimeo-video' );?><br />
      <strong>'_self'</strong>- <?php esc_html_e('the link associated to the primary photo will open in the same window', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Enable Touch Screen', 'ytbvimeo-video' );?> <span class="regGray"><?php esc_html_e('(only for images)', 'ytbvimeo-video' );?></span></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('mobile touch screen support enabled', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('mobile touch screen support disable', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Border Width ', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('border width.', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Border Color ', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('border color (hexa).', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray"><?php esc_html_e('Controllers Settings', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Show All Controllers', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('all controllers will appear (next, previous, bottom navigation)', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('all controllers will not appear (next, previous, bottom navigation)', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Show Navigation Arrows', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('next, previous buttons will appear', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('next, previous buttons will not appear', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Show Navigation Arrows On Init', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('next, previous buttons will appear on first plugin init', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('next, previous buttons will not appear on first plugin init', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Auto Hide Navigation Arrows', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('next, previous buttons will hide when mouse out', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('next, previous buttons will not hide when mouse out', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Width', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The right-side playlist width', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Thumb Width', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('the bottom navigation thumbnail width', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Thumb Height', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('the bottom navigation thumbnail height', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Number Of Thumbs Per Screen', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('the number of thumbs per screen. If you set it to 0, it will be calculated automatically. You can set a fixed number, for example 3', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Show Thumbs', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('thumbs will appear in playlist', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('thumbs  will not appear not appear in playlist', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Show Title', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('the tile from playlist  will appear', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('the tilte from playlist  will not appear', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Show Description', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('the description from playlist will appear', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('the description from playlist will not appear', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Record Height', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record height', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Record Padding', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record padding', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Title Font Size', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record title font size', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Title Line Height', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record title line-height', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Desc Font Size', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record decription font size', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Desc Line Height', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record descripton line-height', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Bg. OFF Color', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record background color (OFF state)', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Title OFF Color', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record title color (OFF state)', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Desc OFF Color', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record description color (OFF state)', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Bg. OFF Img Opacity', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record opacity value (OFF state). It can take values between 0-100', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Bg ON Color', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record background color (ON state).', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Title ON Color', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record title color (ON state)', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Desc ON Color', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record description color (ON state)', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Bg. ON Opacity', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record opacity value (ON state). It can take values between 0-100', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Title Limit', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record title characters limit. All the other characters will be remoeved and replaced with ...', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Desc Limit', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record description characters limit. All the other characters will be remoeved and replaced with ...', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Entire Playlist Bg. Color', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('The playlist record background color.', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray"><?php esc_html_e('Circle Timer Settings', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Show Circle Timer', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>true</strong> - <?php esc_html_e('shows the circle timer', 'ytbvimeo-video' );?><br />
      <strong>false</strong> - <?php esc_html_e('hides the circle timer', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Circle Radius', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('circle radius', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Circle Line Width', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('circle line width', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Circle Color', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('circle color, in hexa', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Circle Alpha', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('circle alpha, in percents. Posible values 0-100', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Behind Circle Color', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('behind circle color, in hexa', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Behind Circle Alpha', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('behind circle alpha, in percents. Posible values 0-100', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
</table>
<p>&nbsp;</p>
<p><span class="lbg_subtitle"><a name="playlist" id="playlist"></a><?php esc_html_e('5. Playlist', 'ytbvimeo-video' );?></span></p>
<table class="wp-list-table widefat fixed pages" cellspacing="0">
  <tr>
    <td width="30%" align="left" valign="top" class="row-title"></td>
    <td width="70%" align="left" valign="top"></td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray"><?php esc_html_e('Video Slide Area', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('YouTube Video ID', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('If you want to play a YouTube video, you will insert the YouTube video ID. A YouTube link is of this form', 'ytbvimeo-video' );?> https://www.youtube.com/watch?v=<span class="lbg_subtitle">5WAkvu5Tnkw</span> <br />
      <?php esc_html_e('The value of "v" parameter  is the ID you need.', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Vimeo Video ID', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('If you want to play a Vimeo video, you will insert the Vimeo video ID. A Vimeo link is of this form', 'ytbvimeo-video' );?> https://vimeo.com/<span class="lbg_subtitle">21288282</span><br />
      <?php esc_html_e('The last number of the link is the ID ', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Thumbnail', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Playlist record thumb image ', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Title', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Playlist record title information', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Playlist Description', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('Playlist record description information', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" align="left" valign="top" class="lbg_regGray"><?php esc_html_e('Image Slide Area', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Image', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('URL to the large image', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Link For The Image', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><?php esc_html_e('You can specify a  link associated to the primary photo', 'ytbvimeo-video' );?></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Link Target', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><p><?php esc_html_e('Possible values:', 'ytbvimeo-video' );?> <br />
      <strong>'_blank'</strong> - <?php esc_html_e('the link associated to the primary photo will open in a new window', 'ytbvimeo-video' );?><br />
      <strong>'_slef'</strong>- <?php esc_html_e('the link associated to the primary photo will open in the same window', 'ytbvimeo-video' );?></p>
      <p>***<?php esc_html_e(' If all your links will behave the same, you can ignore this parameter and use target from', 'ytbvimeo-video' );?> <a href="#settings"><?php esc_html_e('Player Settings', 'ytbvimeo-video' );?></a></p></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title"><?php esc_html_e('Particular Image Effect', 'ytbvimeo-video' );?></td>
    <td align="left" valign="top"><p><?php esc_html_e('For each image you can define a transition effect. If this parameter   is not present a general one defined in in JS options will be used.   Check', 'ytbvimeo-video' );?> <a href="#settings"><?php esc_html_e('Player Settings', 'ytbvimeo-video' );?></a></p>
      <p><?php esc_html_e('The available options are:', 'ytbvimeo-video' );?></p>
      <ul>
        <li> fade</li>
        <li>slideFromLeft</li>
        <li>slideFromRight</li>
        <li>slideFromTop</li>
        <li>slideFromBottom</li>
        <li>topBottomDroppingStripe</li>
        <li>topBottomDroppingReverseStripes</li>
        <li>bottomTopDroppingStripes</li>
        <li>bottomTopDroppingReverseStripes</li>
        <li>asynchronousDroppingStripes</li>
        <li>leftRightFadingStripes</li>
        <li>leftRightFadingReverseStripes</li>
        <li>topBottomDiagonalBlocks</li>
        <li>topBottomDiagonalReverseBlocks</li>
        <li>randomBlocks</li>
        <li>random</li>
      </ul></td>
  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">&nbsp;</td>
    <td align="left" valign="top">&nbsp;</td>
  </tr>
</table>
<p>&nbsp;</p>
<p><span class="lbg_subtitle"><a name="shortcode" id="shortcode"></a><?php esc_html_e('6. ShortCode', 'ytbvimeo-video' );?></span></p>
<p><?php esc_html_e('The shortcode is:', 'ytbvimeo-video' );?> <br />
[video_player_youtube_vimeo  settings_id='1']<br />
<?php esc_html_e('where', 'ytbvimeo-video' );?> <br />
<?php esc_html_e('settings_id is the player ID defined in &quot;Manage Players&quot; section', 'ytbvimeo-video' );?></p>
<p>&nbsp;</p>
<p>&nbsp;</p>
</div>
