<div class="wrap">
	<div id="lbg_logo">
			<h2><?php esc_html_e('Player Settings for player:', 'ytbvimeo-video' );?> <span class="lbg_the_redb"><?php echo esc_attr($_SESSION['xname'])?> - ID #<?php echo esc_attr($_SESSION['xid'])?></span></h2>
 	</div>

    <div class="lbg_magnifier"><img src="<?php echo plugins_url('images/icons/magnifier.png', dirname(__FILE__))?>" alt="add" align="absmiddle" /> <a href="javascript: void(0);" onclick="showDialogPreview(<?php echo esc_attr($_SESSION['xid'])?>)">Preview Player</a></div>

  <form method="POST" enctype="multipart/form-data" id="form-video_player_youtube_vimeo_settings">
	<script>
	jQuery(function() {
		var icons = {
			header: "ui-icon-circle-arrow-e",
			headerSelected: "ui-icon-circle-arrow-s"
		};
		jQuery( "#accordion" ).accordion({
			icons: icons,
			autoHeight: false
		});
	});
	</script>

<div id="previewDialog"><iframe id="previewDialogIframe" src="" width="100%" height="600" class="lbg_b0"></iframe></div>

<div id="accordion">
  <h3><a href="#">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php esc_html_e('General Settings', 'ytbvimeo-video' );?></a></h3>
  <div class="lbg_pd30">
	  <table class="wp-list-table widefat fixed pages" cellspacing="0">

		  <tr>
		    <td align="right" valign="top" class="row-title" width="30%"><?php esc_html_e('Player Name', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="top" width="80%"><input name="name" type="text" size="40" id="name" value="<?php echo esc_attr($_SESSION['xname']);?>"/></td>
	      </tr>
		  <tr>
            <td width="30%" align="right" valign="top" class="row-title"><?php esc_html_e('Player Width', 'ytbvimeo-video' );?></td>
		    <td width="80%" align="left" valign="top"><input name="width" type="text" size="15" id="width" value="<?php echo esc_attr($_POST['width']);?>"/>
		    px </td>
	    </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Player Height', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="top"><input name="height" type="text" size="15" id="height" value="<?php echo esc_attr($_POST['height']);?>"/>
		    px </td>
	    </tr>
		<tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Width 100%', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="width100Proc" id="width100Proc">
              <option value="true" <?php echo (($_POST['width100Proc']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['width100Proc']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
			<tr>
			<td align="right" valign="top" class="row-title"><?php esc_html_e('Center Plugin', 'ytbvimeo-video' );?></td>
			<td align="left" valign="middle"><select name="centerPlugin" id="centerPlugin">
						<option value="true" <?php echo (($_POST['centerPlugin']=='true')?'selected="selected"':'')?>>true</option>
						<option value="false" <?php echo (($_POST['centerPlugin']=='false')?'selected="selected"':'')?>>false</option>
					</select></td>
			</tr>
          <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Responsive', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="responsive" id="responsive">
              <option value="true" <?php echo (($_POST['responsive']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['responsive']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
          <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Responsive Relative To Browser', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="responsiveRelativeToBrowser" id="responsiveRelativeToBrowser">
              <option value="true" <?php echo (($_POST['responsiveRelativeToBrowser']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['responsiveRelativeToBrowser']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Automatically Obtain Thumb, Title &amp; Description From YouTube Server', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="getYouTubeData" id="getYouTubeData">
              <option value="true" <?php echo (($_POST['getYouTubeData']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['getYouTubeData']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Loop', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="loop" id="loop">
              <option value="true" <?php echo (($_POST['loop']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['loop']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Randomize Playlist', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="randomizeImages" id="randomizeImages">
              <option value="true" <?php echo (($_POST['randomizeImages']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['randomizeImages']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
		  <tr>
            <td width="30%" align="right" valign="top" class="row-title"><?php esc_html_e('First Video To Be Loaded', 'ytbvimeo-video' );?></td>
		    <td width="80%" align="left" valign="top"><input name="firstImg" type="text" size="15" id="firstImg" value="<?php echo esc_attr($_POST['firstImg']);?>"/>
	        <i><?php esc_html_e('(the playlist	video	number. Counting starts from 0)', 'ytbvimeo-video' );?></i> </td>
	    </tr>

		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Initial Volume Value', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><script>
	jQuery(function() {
		jQuery( "#initialVolume-slider-range-min" ).slider({
			range: "min",
			value: <?php echo esc_js($_POST['initialVolume']);?>,
			min: 0,
			max: 1.00,
			step: 0.1,
			slide: function( event, ui ) {
				jQuery( "#initialVolume" ).val(ui.value );
			}
		});
		jQuery( "#initialVolume" ).val( jQuery( "#initialVolume-slider-range-min" ).slider( "value" ) );
	});
	        </script>
                <div id="initialVolume-slider-range-min" class="inlinefloatleft lbg_w200"></div>
		      <div class="inlinefloatleft lbg_pl20">
		        <input name="initialVolume" type="text" size="10" id="initialVolume" class="lbg_bor_black"/>
	          </div></td>
	    </tr>

		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Number Of Stripes', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="numberOfStripes" type="text" size="25" id="numberOfStripes" value="<?php echo esc_attr($_POST['numberOfStripes']);?>"/></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Number Of Rows', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="numberOfRows" type="text" size="25" id="numberOfRows" value="<?php echo esc_attr($_POST['numberOfRows']);?>"/></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Number Of Columns', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="numberOfColumns" type="text" size="25" id="numberOfColumns" value="<?php echo esc_attr($_POST['numberOfColumns']);?>"/></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Default Effect', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="defaultEffect" id="defaultEffect">
		      <option value="random" <?php echo (($_POST['defaultEffect']=='random')?'selected="selected"':'')?>>random</option>
		      <option value="asynchronousDroppingStripes" <?php echo (($_POST['defaultEffect']=='asynchronousDroppingStripes')?'selected="selected"':'')?>>asynchronousDroppingStripes</option>
		      <option value="bottomTopDroppingReverseStripes" <?php echo (($_POST['defaultEffect']=='bottomTopDroppingReverseStripes')?'selected="selected"':'')?>>bottomTopDroppingReverseStripes</option>
              <option value="bottomTopDroppingStripes" <?php echo (($_POST['defaultEffect']=='bottomTopDroppingStripes')?'selected="selected"':'')?>>bottomTopDroppingStripes</option>
              <option value="fade" <?php echo (($_POST['defaultEffect']=='fade')?'selected="selected"':'')?>>fade</option>
              <option value="leftRightFadingReverseStripes" <?php echo (($_POST['defaultEffect']=='leftRightFadingReverseStripes')?'selected="selected"':'')?>>leftRightFadingReverseStripes</option>
              <option value="leftRightFadingStripes" <?php echo (($_POST['defaultEffect']=='leftRightFadingStripes')?'selected="selected"':'')?>>leftRightFadingStripes</option>
              <option value="randomBlocks" <?php echo (($_POST['defaultEffect']=='randomBlocks')?'selected="selected"':'')?>>randomBlocks</option>
              <option value="slideFromBottom" <?php echo (($_POST['defaultEffect']=='slideFromBottom')?'selected="selected"':'')?>>slideFromBottom</option>
              <option value="slideFromLeft" <?php echo (($_POST['defaultEffect']=='slideFromLeft')?'selected="selected"':'')?>>slideFromLeft</option>
              <option value="slideFromTop" <?php echo (($_POST['defaultEffect']=='slideFromTop')?'selected="selected"':'')?>>slideFromTop</option>
              <option value="topBottomDiagonalBlocks" <?php echo (($_POST['defaultEffect']=='topBottomDiagonalBlocks')?'selected="selected"':'')?>>topBottomDiagonalBlocks</option>
              <option value="topBottomDiagonalReverseBlocks" <?php echo (($_POST['defaultEffect']=='topBottomDiagonalReverseBlocks')?'selected="selected"':'')?>>topBottomDiagonalReverseBlocks</option>
              <option value="topBottomDroppingReverseStripes" <?php echo (($_POST['defaultEffect']=='topBottomDroppingReverseStripes')?'selected="selected"':'')?>>topBottomDroppingReverseStripes</option>
              <option value="topBottomDroppingStripe" <?php echo (($_POST['defaultEffect']=='topBottomDroppingStripe')?'selected="selected"':'')?>>topBottomDroppingStripe</option>
		      </select></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Effect Duration (in seconds)', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="effectDuration" type="text" size="25" id="effectDuration" value="<?php echo esc_attr($_POST['effectDuration']);?>"/></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Auto Play (in seconds)', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="autoPlay" type="text" size="25" id="autoPlay" value="<?php echo esc_attr($_POST['autoPlay']);?>"/>
		    <i><?php esc_html_e('(for the image slider)', 'ytbvimeo-video' );?></i></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Auto-Play First Video', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="autoPlayFirstVideo" id="autoPlayFirstVideo">
              <option value="true" <?php echo (($_POST['autoPlayFirstVideo']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['autoPlayFirstVideo']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Auto-Play Next Video', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="autoPlayNextVideo" id="autoPlayNextVideo">
              <option value="true" <?php echo (($_POST['autoPlayNextVideo']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['autoPlayNextVideo']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Target Window For Link', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="target" id="target">
		      <option value="_blank" <?php echo (($_POST['target']=='_blank')?'selected="selected"':'')?>>_blank</option>
		      <option value="_self" <?php echo (($_POST['target']=='_self')?'selected="selected"':'')?>>_self</option>
            </select></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Enable Touch Screen', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="enableTouchScreen" id="enableTouchScreen">
              <option value="true" <?php echo (($_POST['enableTouchScreen']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['enableTouchScreen']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Border Width', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="borderWidth" type="text" size="15" id="borderWidth" value="<?php echo esc_attr($_POST['borderWidth']);?>"/>
		      px</td>
	      </tr>

		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Border Color', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="borderColor" type="text" size="25" id="borderColor" value="<?php echo esc_attr($_POST['borderColor']);?>" style="background-color:#<?php echo esc_attr($_POST['borderColor']);?>" />
                <script>
jQuery('#borderColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.on('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">&nbsp;</td>
		    <td align="left" valign="middle">&nbsp;</td>
	      </tr>


      </table>
  </div>


  <h3><a href="#">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php esc_html_e('Controllers Settings', 'ytbvimeo-video' );?></a></h3>
  <div class="lbg_pd30">
	  <table class="wp-list-table widefat fixed pages" cellspacing="0">
        <tr>
		    <td align="right" valign="top" class="row-title" width="27%"><?php esc_html_e('Show All Controllers', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle" width="73%"><select name="showAllControllers" id="showAllControllers">
              <option value="true" <?php echo (($_POST['showAllControllers']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showAllControllers']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Show Navigation Arrows', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="showNavArrows" id="showNavArrows">
              <option value="true" <?php echo (($_POST['showNavArrows']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showNavArrows']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
         <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Show Navigation Arrows On Init', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="showOnInitNavArrows" id="showOnInitNavArrows">
              <option value="true" <?php echo (($_POST['showOnInitNavArrows']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showOnInitNavArrows']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
         <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Auto Hide Navigation Arrows', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="autoHideNavArrows" id="autoHideNavArrows">
              <option value="true" <?php echo (($_POST['autoHideNavArrows']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['autoHideNavArrows']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Width', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistWidth" type="text" size="25" id="playlistWidth" value="<?php echo esc_attr($_POST['playlistWidth']);?>"/>
          px</td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Thumbnail Width', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="origThumbImgW" type="text" size="25" id="origThumbImgW" value="<?php echo esc_attr($_POST['origThumbImgW']);?>"/>
          px</td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Thumbnail Height', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="origThumbImgH" type="text" size="25" id="origThumbImgH" value="<?php echo esc_attr($_POST['origThumbImgH']);?>"/>
          px</td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Number Of Thumbs Per Screen', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="numberOfThumbsPerScreen" type="text" size="25" id="numberOfThumbsPerScreen" value="<?php echo esc_attr($_POST['numberOfThumbsPerScreen']);?>"/>
            <i><?php esc_html_e('If you set it to 0, it will be calculated automatically.', 'ytbvimeo-video' );?></i></td>
        </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Show Thumbs', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="playlistRecordShowImg" id="playlistRecordShowImg">
              <option value="true" <?php echo (($_POST['playlistRecordShowImg']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['playlistRecordShowImg']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Show Title', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="playlistRecordShowTitle" id="playlistRecordShowTitle">
              <option value="true" <?php echo (($_POST['playlistRecordShowTitle']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['playlistRecordShowTitle']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Show Description', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><select name="playlistRecordShowDesc" id="playlistRecordShowDesc">
              <option value="true" <?php echo (($_POST['playlistRecordShowDesc']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['playlistRecordShowDesc']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Record Height', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistRecordHeight" type="text" size="15" id="playlistRecordHeight" value="<?php echo esc_attr($_POST['playlistRecordHeight']);?>"/> px</td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Record Padding', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistRecordPadding" type="text" size="15" id="playlistRecordPadding" value="<?php echo esc_attr($_POST['playlistRecordPadding']);?>"/> px</td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Title Font Size', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistTitleFontSize" type="text" size="15" id="playlistTitleFontSize" value="<?php echo esc_attr($_POST['playlistTitleFontSize']);?>"/> px</td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Title Line Height', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistTitleLineHeight" type="text" size="15" id="playlistTitleLineHeight" value="<?php echo esc_attr($_POST['playlistTitleLineHeight']);?>"/> px</td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Desc Font Size', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistDescFontSize" type="text" size="15" id="playlistDescFontSize" value="<?php echo esc_attr($_POST['playlistDescFontSize']);?>"/> px</td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Desc Line Height', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistDescLineHeight" type="text" size="15" id="playlistDescLineHeight" value="<?php echo esc_attr($_POST['playlistDescLineHeight']);?>"/> px</td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Bg. OFF Color', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistRecordBgOffColor" type="text" size="25" id="playlistRecordBgOffColor" value="<?php echo esc_attr($_POST['playlistRecordBgOffColor']);?>" style="background-color:#<?php echo esc_attr($_POST['playlistRecordBgOffColor']);?>" />
            <script>
jQuery('#playlistRecordBgOffColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.on('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>          </td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Title OFF Color', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistRecordTitleOffColor" type="text" size="25" id="playlistRecordTitleOffColor" value="<?php echo esc_attr($_POST['playlistRecordTitleOffColor']);?>" style="background-color:#<?php echo esc_attr($_POST['playlistRecordTitleOffColor']);?>" />
              <script>
jQuery('#playlistRecordTitleOffColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.on('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>
          </td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Desc OFF Color', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistRecordDescOffColor" type="text" size="25" id="playlistRecordDescOffColor" value="<?php echo esc_attr($_POST['playlistRecordDescOffColor']);?>" style="background-color:#<?php echo esc_attr($_POST['playlistRecordDescOffColor']);?>" />
              <script>
jQuery('#playlistRecordDescOffColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.on('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>
         </td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Bg. OFF Img Opacity', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><script>
	jQuery(function() {
		jQuery( "#playlistRecordBgOffImgOpacity-slider-range-min" ).slider({
			range: "min",
			value: <?php echo esc_js($_POST['playlistRecordBgOffImgOpacity']);?>,
			min: 0,
			max: 100,
			step: 1,
			slide: function( event, ui ) {
				jQuery( "#playlistRecordBgOffImgOpacity" ).val(ui.value );
			}
		});
		jQuery( "#playlistRecordBgOffImgOpacity" ).val( jQuery( "#playlistRecordBgOffImgOpacity-slider-range-min" ).slider( "value" ) );
	});
	        </script>
                <div id="playlistRecordBgOffImgOpacity-slider-range-min" class="inlinefloatleft lbg_w200"></div>
		      <div class="inlinefloatleft lbg_pl20">
		        <input name="playlistRecordBgOffImgOpacity" type="text" size="10" id="playlistRecordBgOffImgOpacity" class="lbg_bor_black"/>
	          </div></td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Bg ON Color', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistRecordBgOnColor" type="text" size="25" id="playlistRecordBgOnColor" value="<?php echo esc_attr($_POST['playlistRecordBgOnColor']);?>" style="background-color:#<?php echo esc_attr($_POST['playlistRecordBgOnColor']);?>" />
              <script>
jQuery('#playlistRecordBgOnColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.on('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>
         </td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Title ON Color', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistRecordTitleOnColor" type="text" size="25" id="playlistRecordTitleOnColor" value="<?php echo esc_attr($_POST['playlistRecordTitleOnColor']);?>" style="background-color:#<?php echo esc_attr($_POST['playlistRecordTitleOnColor']);?>" />
              <script>
jQuery('#playlistRecordTitleOnColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.on('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>
         </td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Desc ON Color', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistRecordDescOnColor" type="text" size="25" id="playlistRecordDescOnColor" value="<?php echo esc_attr($_POST['playlistRecordDescOnColor']);?>" style="background-color:#<?php echo esc_attr($_POST['playlistRecordDescOnColor']);?>" />
              <script>
jQuery('#playlistRecordDescOnColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.on('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>
         </td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist Bg. ON Opacity', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><script>
	jQuery(function() {
		jQuery( "#playlistRecordBgOnImgOpacity-slider-range-min" ).slider({
			range: "min",
			value: <?php echo esc_js($_POST['playlistRecordBgOnImgOpacity']);?>,
			min: 0,
			max: 100,
			step: 1,
			slide: function( event, ui ) {
				jQuery( "#playlistRecordBgOnImgOpacity" ).val(ui.value );
			}
		});
		jQuery( "#playlistRecordBgOnImgOpacity" ).val( jQuery( "#playlistRecordBgOnImgOpacity-slider-range-min" ).slider( "value" ) );
	});
	        </script>
                <div id="playlistRecordBgOnImgOpacity-slider-range-min" class="inlinefloatleft lbg_w200"></div>
		      <div class="inlinefloatleft lbg_pl20">
		        <input name="playlistRecordBgOnImgOpacity" type="text" size="10" id="playlistRecordBgOnImgOpacity" class="lbg_bor_black"/>
	          </div></td>
        </tr>


        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist  Title Limit', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistRecordTitleLimit" type="text" size="15" id="playlistRecordTitleLimit" value="<?php echo esc_attr($_POST['playlistRecordTitleLimit']);?>"/></td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Playlist  Desc Limit ', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistRecordDescLimit" type="text" size="15" id="playlistRecordDescLimit" value="<?php echo esc_attr($_POST['playlistRecordDescLimit']);?>"/></td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title"><?php esc_html_e('Entire Playlist Bg. Color', 'ytbvimeo-video' );?></td>
          <td align="left" valign="middle"><input name="playlistBgColor" type="text" size="25" id="playlistBgColor" value="<?php echo esc_attr($_POST['playlistBgColor']);?>" style="background-color:#<?php echo esc_attr($_POST['playlistBgColor']);?>" />
            <script>
jQuery('#playlistBgColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.on('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>          </td>
        </tr>
        <tr>
          <td align="right" valign="top" class="row-title">&nbsp;</td>
          <td align="left" valign="middle">&nbsp;</td>
        </tr>

      </table>
  </div>


<h3><a href="#">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php esc_html_e('Circle Timer Settings', 'ytbvimeo-video' );?></a></h3>
<div class="lbg_pd30">
	  <table class="wp-list-table widefat fixed pages" cellspacing="0">
		<tr>
		    <td align="right" valign="top" class="row-title" width="30%"><?php esc_html_e('Show Circle Timer', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle" width="70%"><select name="showCircleTimer" id="showCircleTimer">
              <option value="true" <?php echo (($_POST['showCircleTimer']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showCircleTimer']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Circle Radius', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="circleRadius" type="text" size="15" id="circleRadius" value="<?php echo esc_attr($_POST['circleRadius']);?>"/>
		    px</td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Circle Line Width', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><input name="circleLineWidth" type="text" size="15" id="circleLineWidth" value="<?php echo esc_attr($_POST['circleLineWidth']);?>"/>
		    px</td>
	    </tr>
<tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Circle Color', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="top"><input name="circleColor" type="text" size="25" id="circleColor" value="<?php echo esc_attr($_POST['circleColor']);?>" style="background-color:#<?php echo esc_attr($_POST['circleColor']);?>" />
              <script>
jQuery('#circleColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.on('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	    </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Circle Alpha', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><script>
	jQuery(function() {
		jQuery( "#circleAlpha-slider-range-min" ).slider({
			range: "min",
			value: <?php echo esc_js($_POST['circleAlpha']);?>,
			min: 0,
			max: 100,
			slide: function( event, ui ) {
				jQuery( "#circleAlpha" ).val(ui.value );
			}
		});
		jQuery( "#circleAlpha" ).val( jQuery( "#circleAlpha-slider-range-min" ).slider( "value" ) );
	});
	        </script>
              <div id="circleAlpha-slider-range-min" class="inlinefloatleft lbg_w200"></div>
		      <div class="inlinefloatleft lbg_pl20">%
		        <input name="circleAlpha" type="text" size="10" id="circleAlpha" class="lbg_bor_black"/>
	          </div></td>
	    </tr>
        <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Behind Circle Color', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="top"><input name="behindCircleColor" type="text" size="25" id="behindCircleColor" value="<?php echo esc_attr($_POST['behindCircleColor']);?>" style="background-color:#<?php echo esc_attr($_POST['behindCircleColor']);?>" />
              <script>
jQuery('#behindCircleColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.on('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	    </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e('Behind Circle Alpha', 'ytbvimeo-video' );?></td>
		    <td align="left" valign="middle"><script>
	jQuery(function() {
		jQuery( "#behindCircleAlpha-slider-range-min" ).slider({
			range: "min",
			value: <?php echo esc_js($_POST['behindCircleAlpha']);?>,
			min: 0,
			max: 100,
			slide: function( event, ui ) {
				jQuery( "#behindCircleAlpha" ).val(ui.value );
			}
		});
		jQuery( "#behindCircleAlpha" ).val( jQuery( "#behindCircleAlpha-slider-range-min" ).slider( "value" ) );
	});
	        </script>
              <div id="behindCircleAlpha-slider-range-min" class="inlinefloatleft lbg_w200"></div>
		      <div class="inlinefloatleft lbg_pl20">%
		        <input name="behindCircleAlpha" type="text" size="10" id="behindCircleAlpha" class="lbg_bor_black"/>
	          </div></td>
	    </tr>
      </table>
  </div>


</div>

<div class="lbg_cent_p"><input name="Submit" type="submit" id="Submit" class="button-primary" value="Update Player Settings"></div>

</form>
</div>
